package com.muyu.common.system.domain.req;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 地域地区对象 sys_district
 *
 * @author DongZeLiang
 * @date 2024-04-11
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysDistrictSaveReq", description = "地域地区")
public class SysDistrictSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** ID */

    @ApiModelProperty(name = "ID", value = "ID")
    private Long id;

    /** 父级 */

    @ApiModelProperty(name = "父级", value = "父级")
    private Long parentId;

    /** 名称 */

    @ApiModelProperty(name = "名称", value = "名称")
    private String name;

    /** 编码 */

    @ApiModelProperty(name = "编码", value = "编码")
    private String code;

    /** 级别 */

    @ApiModelProperty(name = "级别", value = "级别")
    private String level;

    /** 级别编码 */

    @ApiModelProperty(name = "级别编码", value = "级别编码")
    private String codeLevel;

    /** 区域编码 */

    @ApiModelProperty(name = "区域编码", value = "区域编码")
    private String areaCode;

    /** 中心经纬度 */

    @ApiModelProperty(name = "中心经纬度", value = "中心经纬度")
    private String center;

}
