package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_open_info", autoResultMap = true)
public class ActivityTeamOpenInfo extends BaseEntity {

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  private long id;
  /**
   * 团购活动ID
   */
  private long teamId;
  /**
   * 团购类型
   */
  private String teamType;
  /**
   * 团购策略
   */
  private String teamStrategyId;
  /**
   * 参团类型
   */
  private String executiveType;
  /**
   * 结束团购时间
   */
  private Date endTime;
  /**
   * 商品ID
   */
  private String productId;
  /**
   * 商品名称
   */
  private String productName;
  /**
   * 商品规格
   */
  private String productSku;
  /**
   * 开团标识
   */
  private String key;
  /**
   * 订单ID
   */
  private String orderId;
  /**
   * 开团状态
   */
  private String status;
}
