package com.muyu.marketing.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 添加活动模型
 * @author: AoCi Tian
 * @create: 2024-11-26 10:59
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoSaveModel {

    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;
    public static ActivityTeamInfoSaveModel activityTeamInfoSaveModelBuild (ActivityTeamInfoAddModel activityTeamInfoAddModel){
        return ActivityTeamInfoSaveModel.builder()
                .name(activityTeamInfoAddModel.getName())
                .productId(activityTeamInfoAddModel.getProductId())
                .productImage(activityTeamInfoAddModel.getProductImage())
                .introduction(activityTeamInfoAddModel.getIntroduction())
                .unit(activityTeamInfoAddModel.getUnit())
                .imageList(activityTeamInfoAddModel.getImageList())
                .endTime(activityTeamInfoAddModel.getEndTime())
                .sort(Long.valueOf(activityTeamInfoAddModel.getSort()))
                .content(activityTeamInfoAddModel.getContent())
                .status(activityTeamInfoAddModel.getStatus())
                .strategyType(activityTeamInfoAddModel.getStrategyType())
                .strategyId(activityTeamInfoAddModel.getStrategyId())
                .build();
    }
}
