package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.req.ActivityTeamInfoUpdReq;
import com.muyu.marketing.domain.req.ActivityTeamProductSkuSettingReq;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoAddReq;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 活动商品规格修改模型
 * @author: AoCi Tian
 * @create: 2024-11-26 19:25
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoUpdModel {
    private Long id;
    private String name;
    private Long productId;
    private String productImage;
    private String introduction;
    private String unit;
    private String imageList;
    private Date endTime;
    private Long sort;
    private String content;
    private String status;
    private String strategyType;
    private Long strategyId;
    private ActivityTeamProductSkuSettingModel activityTeamProductSkuSettingModel;

    public static ActivityTeamInfoUpdModel activityTeamInfoUpdReqModelBuild (ActivityTeamInfoUpdReq activityTeamInfoUpdReq){
        return ActivityTeamInfoUpdModel.builder()
                .id(activityTeamInfoUpdReq.getId())
                .name(activityTeamInfoUpdReq.getName())
                .productId(activityTeamInfoUpdReq.getProductId())
                .productImage(activityTeamInfoUpdReq.getProductImage())
                .introduction(activityTeamInfoUpdReq.getIntroduction())
                .unit(activityTeamInfoUpdReq.getUnit())
                .imageList(activityTeamInfoUpdReq.getImageList())
                .endTime(activityTeamInfoUpdReq.getEndTime())
                .sort(activityTeamInfoUpdReq.getSort())
                .content(activityTeamInfoUpdReq.getContent())
                .status(activityTeamInfoUpdReq.getStatus())
                .strategyType(activityTeamInfoUpdReq.getStrategyType())
                .strategyId(activityTeamInfoUpdReq.getStrategyId())
                .activityTeamProductSkuSettingModel(
                        ActivityTeamProductSkuSettingModel.settingReqModel(
                                activityTeamInfoUpdReq.getActivityTeamProductSkuSettingReq(),
                                activityTeamInfoUpdReq::getProductId
                        )
                )
                .build();
    }
}
