package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.ActivityTeamProductSkuSettingReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.function.Supplier;

/**
 * 团购商品规格一键设置
 *
 * @author DongZeLiang
 * @date 2024-11-28 11:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuSettingModel {

    /**
     * 活动ID
     */
    private Long teamId;

    /**
     * 删除的ID集合
     */
    private List<Long> removeIds;

    /**
     * 添加的规格集合
     */
    private List<ActivityTeamProductSkuAddModel> activityTeamProductSkuAddModelList;

    /**
     * 修改的规格集合
     */
    private List<ActivityTeamProductSkuUpdModel> activityTeamProductSkuUpdModelList;

    public static ActivityTeamProductSkuSettingModel settingReqModel(ActivityTeamProductSkuSettingReq activityTeamProductSkuSettingReq, Supplier<Long> productId) {
        return ActivityTeamProductSkuSettingModel.builder()
                .removeIds(activityTeamProductSkuSettingReq.getRemoveIds())
                .activityTeamProductSkuAddModelList(
                        activityTeamProductSkuSettingReq.getTeamProjectSkuInfoAddReqList().stream()
                                .map(teamProjectSkuInfoAddReq -> ActivityTeamProductSkuAddModel.addReqBuild(teamProjectSkuInfoAddReq, productId))
                                .toList()
                )
                .activityTeamProductSkuUpdModelList(
                        activityTeamProductSkuSettingReq.getTeamProjectSkuInfoUpdReqList().stream()
                                .map(ActivityTeamProductSkuUpdModel::updReqBuild)
                                .toList()
                ).build();
    }
}
