package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.TeamProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 拼团活动商品SKU
 *
 * @author DongZeLiang
 * @date 2024-11-27 14:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuUpdModel {

    /**
     * 商品规格ID
     */
    private Long id;

    /**
     * 团购价格
     */
    private BigDecimal teamPrice;

    /**
     * 团购库存
     */
    private Long teamStock;

    public static ActivityTeamProductSkuUpdModel updReqBuild(TeamProjectSkuInfoUpdReq teamProjectSkuInfoUpdReq){
        return ActivityTeamProductSkuUpdModel.builder()
                .id(teamProjectSkuInfoUpdReq.getId())
                .teamStock(teamProjectSkuInfoUpdReq.getTeamStock())
                .teamPrice(teamProjectSkuInfoUpdReq.getTeamPrice())
                .build();
    }
}
