package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamProductSkuModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 回显resp
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectFindSkuInfoResp {
    /**
     * 规格id
     */
    private Long id;
    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ProjectFindSkuInfoResp projectFindSkuInfoBuild (ActivityTeamProductSkuModel activityTeamProductSkuModel)  {
        return ProjectFindSkuInfoResp.builder()
                .teamStock(activityTeamProductSkuModel.getTeamStock())
                .teamPrice(activityTeamProductSkuModel.getTeamPrice())
                .id(activityTeamProductSkuModel.getId())
                .sku(activityTeamProductSkuModel.getSku())
                .build();
    }
}
