package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamDetailModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 团购活动回显响应
 * @author: AoCi Tian
 * @create: 2024-11-26 15:19
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TeamInfoFindByIdResp {
   /**
    * 拼团id
    */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Long sort;
    /**
     * 商品SkU集合
     */
    private List<ProjectFindSkuInfoResp> projectSkuInfoAddList;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    public static TeamInfoFindByIdResp teamInfoFindByIdBuild (ActivityTeamDetailModel activityTeamDetailModel){
     return TeamInfoFindByIdResp.builder()
              .id(activityTeamDetailModel.getId())
              .name(activityTeamDetailModel.getName())
              .productId(activityTeamDetailModel.getProductId())
              .productImage(activityTeamDetailModel.getProductImage())
              .introduction(activityTeamDetailModel.getIntroduction())
              .unit(activityTeamDetailModel.getUnit())
              .imageList(activityTeamDetailModel.getImageList())
              .endTime(activityTeamDetailModel.getEndTime())
              .sort(activityTeamDetailModel.getSort())
              .projectSkuInfoAddList(activityTeamDetailModel.getProjectSkuInfoAddReqList().stream().map(ProjectFindSkuInfoResp::projectFindSkuInfoBuild).toList())
//              .projectSkuInfoAddList(
//                      teamInfoFindByIdRespModel.getProjectSkuInfoAddReqList().stream().map(activityTeamProductSkuModel ->
//                              ProjectFindSkuInfoResp.projectFindSkuInfoBuild(activityTeamProductSkuModel)).toList()
//              )
              .content(activityTeamDetailModel.getContent())
              .status(activityTeamDetailModel.getStatus())
              .strategyType(activityTeamDetailModel.getStrategyType())
              .strategyId(activityTeamDetailModel.getStrategyId())
              .build();
 }
}
