package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.req.TeamInfoListReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamInfoListResp {

    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购状态
     */
    private String status;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 团购库存
     */
    private Long teamStock;

    /**
     * 列表查询结果，构建为响应对象
     * @param activityTeamInfoListModel 列表数据查询结果
     * @return 响应对象
     */
    public static TeamInfoListResp listModelBuild(ActivityTeamInfoListModel activityTeamInfoListModel) {
        return TeamInfoListResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .endTime(activityTeamInfoListModel.getEndTime())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .productImage(activityTeamInfoListModel.getProductImage())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .status(activityTeamInfoListModel.getStatus())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .build();
    }
}
