package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;

public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {

    /**
     * 通过活动ID和开团类型查询开团数量
     * @param teamId 活动ID
     * @param teamOpenType 开团类型
     * @return 开团数量
     */
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnum teamOpenType);

    /**
     * 根据活动ID获取开团数量
     * @param teamId 团购活动ID
     * @return 开团数量
     */
    public default Long getTeamOpenTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId, TeamOpenTypeEnum.OPEN_TEAM);
    }

    /**
     * 根据活动ID获取参团数量
     * @param teamId 团购活动ID
     * @return 参团数量
     */
    public default Long getTeamInTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId, TeamOpenTypeEnum.IN_TEAM);
    }
}
