package com.muyu.marketing.team.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;
import com.muyu.marketing.team.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.marketing.team.service.ActivityTeamOpenInfoService;
import org.springframework.stereotype.Service;

@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo>
    implements ActivityTeamOpenInfoService {

    /**
     * 通过活动ID和开团类型查询开团数量
     *
     * @param teamId       活动ID
     * @param teamOpenType 开团类型
     * @return 开团数量
     */
    @Override
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnum teamOpenType) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId, teamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType, teamOpenType.code());
        return this.count(queryWrapper);
    }


}
