package com.muyu.marketing.team.strategy;


import org.apache.ibatis.annotations.Param;

/**
 * 团活动策略
 *
 * @author DongZeLiang
 * @date 2024-11-29 15:03
 */
public interface ActivityTeamStrategy {

    /**
     * 开团
     * @param activityTeamId 团购活动ID
     */
    public void openTeam(Long activityTeamId);

    /**
     * 申请加团
     * @param teamId 团ID
     */
    public void applyTeam(Long teamId);

    /**
     * 参团
     * @param teamId 加团ID
     * @param orderNumber 订单编号
     */
    public void addTeam(Long teamId, String orderNumber);

    /**
     * 退团
     * @param teamId 团购ID
     */
    public void backTeam(Long teamId);

    /**
     * 结算团
     * @param teamId 团购ID
     */
    public void settle(Long teamId);
}
