package com.muyu.marketing.team.strategy.impl;


import com.muyu.common.core.exception.ServiceException;
import com.muyu.common.core.utils.SpringUtils;
import com.muyu.marketing.team.strategy.ActivityTeamStrategy;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

/**
 * 团购执行器
 *
 * @author DongZeLiang
 * @date 2024-11-29 15:28
 */
@Service
@Primary
public class ActivityTeamStrategyImpl implements ActivityTeamStrategy {
    /**
     * 开团
     *
     * @param activityTeamId 团购活动ID
     */
    @Override
    public void openTeam(Long activityTeamId) {
        // 假设这里是通过方法获取的type，activityTeamId.toString()
        // "team-strategy-exemption"
        // "team-strategy-hundred"
        // "team-strategy-ordinary"

        String activityTeamType = null;
        if (activityTeamId == null) {
            throw new ServiceException("activityTeamId is null");
        }else if (activityTeamId == 0) {
            activityTeamType = "team-strategy-exemption";
        }else if (activityTeamId == 1) {
            activityTeamType = "team-strategy-hundred";
        }else if (activityTeamId == 2) {
            activityTeamType = "team-strategy-ordinary";
        }
        ActivityTeamStrategy activityTeamStrategy = SpringUtils.getBean(activityTeamType);
        activityTeamStrategy.openTeam(activityTeamId);
    }

    /**
     * 申请加团
     *
     * @param teamId 团ID
     */
    @Override
    public void applyTeam(Long teamId) {

    }

    /**
     * 参团
     *
     * @param teamId      加团ID
     * @param orderNumber 订单编号
     */
    @Override
    public void addTeam(Long teamId, String orderNumber) {

    }

    /**
     * 退团
     *
     * @param teamId 团购ID
     */
    @Override
    public void backTeam(Long teamId) {

    }

    /**
     * 结算团
     *
     * @param teamId 团购ID
     */
    @Override
    public void settle(Long teamId) {

    }
}
