package com.muyu.product.cache.datasource;

import com.muyu.product.domain.ProjectSkuInfo;

import java.util.Map;

/**
 * @author DongZl
 * @description: 商品SKU数据库读取
 * @Date 2024-4-1 上午 11:35
 */
public interface ProjectSkuData {

    /**
     * 通过键获取所有的hash数据
     * @param projectId 商品ID
     * @return
     */
    public Map<String, ProjectSkuInfo> getData (Long projectId) ;

    /**
     * 通过缓存键和hash键获取hash值
     * @param projectId  商品ID
     * @param projectSku 商品SKU
     *
     * @return hash值
     */
    public ProjectSkuInfo getData (Long projectId, String projectSku);
}
