package com.muyu.product.cache.datasource.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.product.cache.datasource.ProjectInfoData;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.remote.RemoteProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author DongZl
 * @description: 缓存数据获取
 * @Date 2024-3-27 下午 03:37
 */
@Service
public class ProjectInfoDataRemoteImpl implements ProjectInfoData {

    @Autowired
    private RemoteProjectInfoService remoteProjectInfoService;

    /**
     * 从数据库获取数据
     * @param key ID
     * @return 缓存对象
     */
    @Override
    public ProjectInfo getData (Long key) {
        Result<ProjectInfo> projectInfoResult = remoteProjectInfoService.getInfo(key);
        if (Result.isError(projectInfoResult)){
            return new ProjectInfo();
        }
        return projectInfoResult.getData();
    }
}
