package com.muyu.product.cache.model;

import com.muyu.product.domain.RuleAttrInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;
import java.util.List;

/**
 * @author DongZl
 * @description: 规格类型缓存模型
 * @Date 2024/4/7 下午8:41
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleAttrCacheModel {

    /**
     * 类目名称
     */
    private String attrName;

    /**
     * 规格值
     */
    private List<String> attrValueList;

    public static RuleAttrCacheModel ruleAttrBuild (RuleAttrInfo ruleAttrInfo) {
        return RuleAttrCacheModel.builder()
                .attrName(ruleAttrInfo.getName())
                .attrValueList(Arrays.stream(ruleAttrInfo.getAttrValue().split(",")).toList())
                .build();
    }
}
