package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 属性与组中间对象 as_attribute_group
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("as_attribute_group")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AsAttributeGroup", description = "属性与组中间")
public class AsAttributeGroup extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 组ID */
    @Excel(name = "组ID")
    @ApiModelProperty(name = "组ID", value = "组ID", required = true)
    private Long groupId;

    /** 属性id */
    @Excel(name = "属性id")
    @ApiModelProperty(name = "属性id", value = "属性id", required = true)
    private Long attributeId;


    public static AsAttributeGroup buildGroup (Long attributeGroupId,
                                               Long attributeId) {
        return AsAttributeGroup.builder()
                .groupId(attributeGroupId)
                .attributeId(attributeId)
                .build();
    }
}
