package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 品牌商品中间对象 as_brand_project
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("as_brand_project")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AsBrandProject", description = "品牌商品中间")
public class AsBrandProject extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品牌id */
    @Excel(name = "品牌id")
    @ApiModelProperty(name = "品牌id", value = "品牌id", required = true)
    private Long brandId;

    /** 商品id */
    @Excel(name = "商品id")
    @ApiModelProperty(name = "商品id", value = "商品id", required = true)
    private String projectId;

}
