package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.product.domain.base.CategoryBase;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 品类属性中间对象 as_category_attribute
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("as_category_attribute")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AsCategoryAttribute", description = "品类属性中间")
public class AsCategoryAttribute extends BaseEntity implements CategoryBase {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类id */
    @Excel(name = "品类id")
    @ApiModelProperty(name = "品类id", value = "品类id", required = true)
    private Long categoryId;

    /** 属性id */
    @Excel(name = "属性id")
    @ApiModelProperty(name = "属性id", value = "属性id", required = true)
    private Long attributeId;


    public static AsCategoryAttribute categoryBuild(Long categoryInfoId, Long attributeId) {
        return AsCategoryAttribute.builder()
                .categoryId(categoryInfoId)
                .attributeId(attributeId)
                .build();
    }

    @Override
    public Long getBaseId () {
        return this.attributeId;
    }
}
