package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.product.domain.base.CategoryBase;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 品类属性组中间对象 as_category_attribute_group
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("as_category_attribute_group")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AsCategoryAttributeGroup", description = "品类属性组中间")
public class AsCategoryAttributeGroup extends BaseEntity implements CategoryBase {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类id */
    @Excel(name = "品类id")
    @ApiModelProperty(name = "品类id", value = "品类id", required = true)
    private Long categoryId;

    /** 属性组 */
    @Excel(name = "属性组")
    @ApiModelProperty(name = "属性组", value = "属性组", required = true)
    private Long attributeGroupId;


    public static AsCategoryAttributeGroup categoryBuild(Long categoryInfoId, Long attributeGroupId) {
        return AsCategoryAttributeGroup.builder()
                .attributeGroupId(attributeGroupId)
                .categoryId(categoryInfoId)
                .build();
    }

    @Override
    public Long getBaseId () {
        return this.attributeGroupId;
    }
}
