package com.muyu.product.domain.model;

import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author DongZl
 * @description: 商品Sku
 * @Date 2024-3-22 上午 10:54
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductSkuModel {

    /** sku */
    @ApiModelProperty(name = "sku", value = "sku", required = true)
    private String sku;

    /** 商品库存 */
    @ApiModelProperty(name = "商品库存", value = "商品库存", required = true)
    private Long stock;

    /** 商品价格 */
    @ApiModelProperty(name = "商品价格", value = "商品价格", required = true)
    private BigDecimal price;

    /** 规格图片 */
    @ApiModelProperty(name = "规格图片", value = "规格图片", required = true)
    private String image;
}
