package com.muyu.product.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author DongZl
 * @description: 共有属性
 * @Date 2024-3-6 下午 02:30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TemplateAttributeModel extends BaseEntity {

    /**
     * 主键
     */
    private Long id;

    /**
     * 属性名称
     */
    private String name;

    /**
     * 编码
     */
    private String code;

    public static TemplateAttributeModel attributeInfoBuild(AttributeInfo attributeInfo){
        return TemplateAttributeModel.builder()
                .id(attributeInfo.getId())
                .name(attributeInfo.getName())
                .code(attributeInfo.getCode())
                .build();
    }
}
