package com.muyu.product.domain.req;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 属性组对象 attribute_group
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AttributeGroupSaveReq", description = "属性组")
public class AttributeGroupSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 属性组编号 */
    @ApiModelProperty(name = "属性组编号", value = "属性组编号")
    private Long id;

    /** 组名称 */
    @ApiModelProperty(name = "组名称", value = "组名称", required = true)
    private String name;

    /** 状态 */
    @ApiModelProperty(name = "状态", value = "状态", required = true)
    private String states;

    /**
     * 属性ID集合
     */
    @ApiModelProperty(name = "属性ID集合", value = "属性ID集合", required = true)
    private List<Long> attributeIdList;

}
