package com.muyu.product.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 商品属性对象 attribute_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AttributeInfoEditReq", description = "商品属性")
public class AttributeInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 属性名 */
    @ApiModelProperty(name = "属性名", value = "属性名", required = true)
    private String name;

    /** 分组 */
    @ApiModelProperty(name = "分组", value = "分组")
    private Long groupId;

    @ApiModelProperty(name = "属性编码", value = "属性编码")
    private String code;


}
