package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 品牌信息对象 brand_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BrandInfoEditReq", description = "品牌信息")
public class BrandInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 品牌名称 */
    @ApiModelProperty(name = "品牌名称", value = "品牌名称", required = true)
    private String nam;

    /** LOGO */
    @ApiModelProperty(name = "LOGO", value = "LOGO", required = true)
    private String logo;

    /** 是否启用 */
    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

}
