package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.TreeEntity;

/**
 * 品类信息对象 category_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CategoryInfoQueryReq", description = "品类信息")
public class CategoryInfoQueryReq extends TreeEntity {

    private static final long serialVersionUID = 1L;

    /** 品类名称 */
    @ApiModelProperty(name = "品类名称", value = "品类名称")
    private String name;

    /** 图片 */
    @ApiModelProperty(name = "图片", value = "图片")
    private String image;

    /** 是否启用 */
    @ApiModelProperty(name = "是否启用", value = "是否启用")
    private String start;

    /** 介绍 */
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

}
