package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.TreeEntity;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 品类信息对象 category_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CategoryInfoSaveReq", description = "品类信息")
public class CategoryInfoSaveReq extends TreeEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类名称 */

    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */

    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */

    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    @NotNull()
    private String start;

    /** 介绍 */

    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

    /**
     * 商品属性组关联ID
     */
    private List<Long> attributeGroupIdList;
    /**
     * 商品属性关联ID
     */
    private List<Long> attributeIdList;

    /**
     * 商品品牌组关联ID
     */
    private List<Long> brandIdList;

}
