package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 商品评论对象 comment_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CommentInfoEditReq", description = "商品评论")
public class CommentInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 商品id */
    @ApiModelProperty(name = "商品id", value = "商品id", required = true)
    private Long projectId;

    /** 评论 */
    @ApiModelProperty(name = "评论", value = "评论")
    private String comment;

    /** 图片 */
    @ApiModelProperty(name = "图片", value = "图片")
    private String images;

    /** 父类id */
    @ApiModelProperty(name = "父类id", value = "父类id")
    private String parentId;

}
