package com.muyu.product.domain.req;

import com.muyu.product.domain.model.AttrValueModel;
import com.muyu.product.domain.model.ProductSkuModel;
import com.muyu.product.domain.model.ProjectAddModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 商品信息对象 project_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProjectInfoSaveReq", description = "商品信息")
public class ProjectInfoSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 商品添加基本属性
     */
    private ProjectAddModel projectAddModel;

    /**
     * 商品属性
     */
    private List<AttrValueModel> attrValueList;

    /**
     * 商品SKu
     */
    private List<ProductSkuModel> productSkuList;

}
