package com.muyu.product.domain.req;

import java.math.BigDecimal;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 商品SKU对象 project_sku_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProjectSkuInfoEditReq", description = "商品SKU")
public class ProjectSkuInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 商品id */
    @ApiModelProperty(name = "商品id", value = "商品id", required = true)
    private Long projectId;

    /** sku */
    @ApiModelProperty(name = "sku", value = "sku", required = true)
    private String sku;

    /** 商品库存 */
    @ApiModelProperty(name = "商品库存", value = "商品库存", required = true)
    private Long stock;

    /** 商品价格 */
    @ApiModelProperty(name = "商品价格", value = "商品价格", required = true)
    private BigDecimal price;

    /** 规格图片 */
    @ApiModelProperty(name = "规格图片", value = "规格图片", required = true)
    private String image;

}
