package com.muyu.product.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.model.TemplateAttributeGroupModel;
import com.muyu.product.domain.model.TemplateAttributeModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author DongZl
 * @description: 商品类别公共元素
 * @Date 2024-3-6 下午 02:25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CategoryCommonElementResp extends BaseEntity {

    /**
     * 共有属性组
     */
    private List<TemplateAttributeGroupModel> templateAttributeGroupList;

    /**
     * 共有属性
     */
    private List<TemplateAttributeModel> templateAttributeList;

    /**
     * 自有属性（所有未包含属性）
     */
    private List<TemplateAttributeModel> attributeList;


}
