package com.muyu.product.domain.resp;

import com.muyu.product.domain.*;
import com.muyu.product.domain.model.RuleAttrAddModel;
import com.muyu.product.domain.model.TemplateAttributeGroupModel;
import com.muyu.product.domain.model.TemplateAttributeModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author DongZl
 * @description: 商品详情信息
 * @Date 2024-3-25 上午 10:46
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectDetailResp {

    /**
     * 品类集合
     */
    private List<CategoryInfo> categoryInfoList;

    /**
     * 商品信息
     */
    private ProjectInfo projectInfo;

    /**
     * 品牌信息
     */
    private BrandInfo brandInfo;

    /**
     * 商品Sku集合
     */
    private List<ProjectSkuInfo> projectSkuInfoList;

    /**
     * 商品和属性集合
     */
    private List<AsProductAttributeInfo> productAttributeInfoList;

    /**
     * 商品规格
     */
    private List<RuleAttrAddModel> ruleAttrModelList;

    /**
     * 属性集合
     */
    private List<TemplateAttributeModel> attributeInfoList;

    /**
     * 属性组集合
     */
    private List<TemplateAttributeGroupModel> attributeGroupList;
}
