package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.model.RuleAttrAddModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 规格修改响应对象
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleInfoUpdResp {

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    @ApiModelProperty(name = "规格名称", value = "规格名称")
    private String name;

    /** 规格状态 */
    @Excel(name = "规格状态")
    @ApiModelProperty(name = "规格状态", value = "规格状态")
    private String status;

    /** 规格状态 */
    @Excel(name = "规格描述")
    @ApiModelProperty(name = "规格描述", value = "规格描述")
    private String remark;

    /**
     * 规格属性集合
     */
    private List<RuleAttrAddModel> ruleAttrList;
}
