package com.muyu.product.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.remote.factory.RemoteProjectInfoFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author DongZl
 * @description: 规格远程调用业务层
 * @Date 2024-4-7 上午 10:58
 */
@FeignClient(
        contextId = "remoteProjectInfoService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteProjectInfoFactory.class,
        path = "/info"
)
public interface RemoteProjectInfoService {
    /**
     * 获取商品信息详细信息
     */
    @GetMapping(value = "/{id}")
    public Result<ProjectInfo> getInfo(@PathVariable("id") Long id) ;

}
