package com.muyu.product.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.product.remote.factory.RemoteProjectSkuFactory;
import com.muyu.product.remote.factory.RemoteRuleAttrFactory;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * @author DongZl
 * @description: 规格信息远程调用业务层
 * @Date 2024-4-7 上午 10:58
 */
@FeignClient(
        contextId = "remoteRuleAttrService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteRuleAttrFactory.class,
        path = "/ruleAttr"
)
public interface RemoteRuleAttrService {
    /**
     * 获取规格详情详细信息
     */
    @GetMapping(value = "/list/ruleId/{ruleId}")
    public Result<List<RuleAttrInfo>> getInfoByRuleId(@PathVariable("ruleId") Long id);
}
