package com.muyu.product.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.RuleInfo;
import com.muyu.product.remote.factory.RemoteProjectSkuFactory;
import com.muyu.product.remote.factory.RemoteRuleFactory;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author DongZl
 * @description: 规格远程调用业务层
 * @Date 2024-4-7 上午 10:58
 */
@FeignClient(
        contextId = "remoteRuleService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteRuleFactory.class,
        path = "/rule"
)
public interface RemoteRuleService {
    /**
     * 获取商品规格详细信息
     */
    @GetMapping(value = "/{id}")
    public Result<RuleInfo> getInfo(@PathVariable("id") Long id);
}
