package com.muyu.product.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.RuleInfo;
import com.muyu.product.remote.RemoteProjectInfoService;
import com.muyu.product.remote.RemoteRuleService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @author DongZl
 * @description: 规格远程调熔断器
 * @Date 2024-4-7 上午 10:59
 */
public class RemoteProjectInfoFactory implements FallbackFactory<RemoteProjectInfoService> {
    @Override
    public RemoteProjectInfoService create (Throwable cause) {
        return new RemoteProjectInfoService() {

            /**
             * 获取商品规格详细信息
             *
             * @param id
             */
            @Override
            public Result<ProjectInfo> getInfo (Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
