package com.muyu.product.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.product.remote.RemoteProjectSkuService;
import com.muyu.product.remote.RemoteRuleAttrService;
import com.muyu.product.remote.RemoteRuleService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * @author DongZl
 * @description: 规格详情远程调熔断器
 * @Date 2024-4-7 上午 10:59
 */
public class RemoteRuleAttrFactory implements FallbackFactory<RemoteRuleAttrService> {
    @Override
    public RemoteRuleAttrService create (Throwable cause) {
        return new RemoteRuleAttrService() {

            /**
             * 获取规格详情详细信息
             *
             * @param id
             */
            @Override
            public Result<List<RuleAttrInfo>> getInfoByRuleId (Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
