package com.muyu.product.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.RuleInfo;
import com.muyu.product.remote.RemoteProjectSkuService;
import com.muyu.product.remote.RemoteRuleService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @author DongZl
 * @description: 规格远程调熔断器
 * @Date 2024-4-7 上午 10:59
 */
public class RemoteRuleFactory implements FallbackFactory<RemoteRuleService> {
    @Override
    public RemoteRuleService create (Throwable cause) {
        return new RemoteRuleService() {

            /**
             * 获取商品规格详细信息
             *
             * @param id
             */
            @Override
            public Result<RuleInfo> getInfo (Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
