package com.muyu.product.cache.impl;

import com.muyu.product.cache.datasource.ProjectInfoData;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.service.ProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

/**
 * @author DongZl
 * @description: 缓存数据获取
 * @Date 2024-3-27 下午 03:37
 */
@Service
@Primary
public class ProjectInfoDataImpl implements ProjectInfoData {

    @Autowired
    private ProjectInfoService projectInfoService;

    /**
     * 从数据库获取数据
     * @param key ID
     * @return 缓存对象
     */
    @Override
    public ProjectInfo getData (Long key) {
        return projectInfoService.getById(key);
    }
}
