package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.AttributeInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 商品属性Service接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface AttributeInfoService extends IService<AttributeInfo> {
    /**
     * 查询商品属性列表
     *
     * @param attributeInfo 商品属性
     * @return 商品属性集合
     */
    public List<AttributeInfo> list(AttributeInfo attributeInfo);

    /**
     * 通过groupId查询属性集合
     * @param groupId 属性组Id
     * @return 属性集合
     */
    public List<AttributeInfo> attributeListByGroupId(Long groupId);
}
