package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.ProjectInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.req.ProjectInfoSaveReq;
import com.muyu.product.domain.resp.ProjectDetailResp;

/**
 * 商品信息Service接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface ProjectInfoService extends IService<ProjectInfo> {
    /**
     * 查询商品信息列表
     *
     * @param projectInfo 商品信息
     * @return 商品信息集合
     */
    public List<ProjectInfo> list(ProjectInfo projectInfo);

    /**
     * 保存商品信息
     * @param projectInfoSaveReq 请求对象
     * @return
     */
    boolean save (ProjectInfoSaveReq projectInfoSaveReq);

    /**
     * 通过商品ID获取商品详情
     * @param id 商品ID
     * @return 商品详情
     */
    ProjectDetailResp getDetailInfo (Long id);
}
