package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.ProjectSkuInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 商品SKUService接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface ProjectSkuInfoService extends IService<ProjectSkuInfo> {
    /**
     * 查询商品SKU列表
     *
     * @param projectSkuInfo 商品SKU
     * @return 商品SKU集合
     */
    public List<ProjectSkuInfo> list(ProjectSkuInfo projectSkuInfo);

    /**
     * 通过商品ID和SKU获取SKU信息
     * @param projectId 商品ID
     * @param projectSku 商品SKU
     * @return 商品SKU信息
     */
    ProjectSkuInfo getInfoByProjectIdAndSku (Long projectId, String projectSku);

    /**
     * 通过商品ID获取SKU集合
     * @param projectId 商品ID
     * @return 商品SKU信息
     */
    List<ProjectSkuInfo> listByProjectId (Long projectId);
}
