package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.RuleAttrInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 规格详情Service接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface RuleAttrInfoService extends IService<RuleAttrInfo> {
    /**
     * 查询规格详情列表
     *
     * @param ruleAttrInfo 规格详情
     * @return 规格详情集合
     */
    public List<RuleAttrInfo> list(RuleAttrInfo ruleAttrInfo);

    /**
     * 通过ruleId获取规格详情
     * @param ruleId 规格ID
     * @return 规格详情集合
     */
    List<RuleAttrInfo> getInfoByRuleId (Long ruleId);
}
