package com.muyu.product.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.CommentLikeInfoMapper;
import com.muyu.product.domain.CommentLikeInfo;
import com.muyu.product.service.CommentLikeInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 评论点赞Service业务层处理
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Slf4j
@Service
public class CommentLikeInfoServiceImpl extends ServiceImpl<CommentLikeInfoMapper, CommentLikeInfo>  implements CommentLikeInfoService {

    /**
     * 查询评论点赞列表
     *
     * @param commentLikeInfo 评论点赞
     * @return 评论点赞
     */
    @Override
    public List<CommentLikeInfo> list(CommentLikeInfo commentLikeInfo) {
        LambdaQueryWrapper<CommentLikeInfo> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(commentLikeInfo.getCommentId())){
            queryWrapper.eq(CommentLikeInfo::getCommentId, commentLikeInfo.getCommentId());
        }

        if (ObjUtils.notNull(commentLikeInfo.getUserId())){
            queryWrapper.eq(CommentLikeInfo::getUserId, commentLikeInfo.getUserId());
        }





        return list(queryWrapper);
    }
}
