package com.muyu.shop.cart.cache.sourcedata;

import com.muyu.shop.cart.cache.key.CartHashKey;
import com.muyu.shop.cart.domain.CartInfo;

import java.util.Map;

/**
 * @author DongZl
 * @description: 购物车源数据获取
 * @Date 2024-4-2 上午 11:49
 */
public interface CartData {

    /**
     * 通过键获取所有的hash数据
     * @param key 键
     * @return
     */
    public Map<CartHashKey, CartInfo> getData (Long key);

    /**
     * 通过缓存键和hash键获取hash值
     *
     * @param key     缓存键
     * @param hashKey hash键
     *
     * @return hash值
     */
    public CartInfo getData (Long key, CartHashKey hashKey);
}
