package com.muyu.shop.cart.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author DongZl
 * @description: 购物车品类信息
 * @Date 2024/4/7 下午3:22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CartSkuModel {

    /**
     * 购物车ID
     */
    private Long cartInfoId;

    /**
     * 图片
     */
    private String image;

    /**
     * 商品ID
     */
    private Long projectId;

    /**
     * 商品Sku
     */
    private String projectSku;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品SKU价格
     */
    private BigDecimal price;

    /**
     * Sku规格集合
     */
    private List<SkuRuleModel> skuRuleList;

    /**
     * 购物车数量
     */
    private Long num;

    /**
     * 库存
     */
    private Long stock;

    /**
     * 购物车小计
     */
    private BigDecimal subtotal;

    /**
     * 是否选中
     */
    private String isSelected;
}
