package com.muyu.shop.cart.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 购物车对象 cart_info
 *
 * @author DongZeLiang
 * @date 2024-03-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CartInfoQueryReq", description = "购物车")
public class CartInfoQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 商品 */
    @ApiModelProperty(name = "商品", value = "商品")
    private Long projectId;

    /** SKU */
    @ApiModelProperty(name = "SKU", value = "SKU")
    private String projectSku;

    /** 用户 */
    @ApiModelProperty(name = "用户", value = "用户")
    private Long userId;

    /** 数量 */
    @ApiModelProperty(name = "数量", value = "数量")
    private Long num;

    /** 是否选中 */
    @ApiModelProperty(name = "是否选中", value = "是否选中")
    private String isSelected;

}
