package com.muyu.shop.cart.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 购物车对象 cart_info
 *
 * @author DongZeLiang
 * @date 2024-03-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CartInfoSaveReq", description = "购物车")
public class CartInfoSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /** 商品 */
    @ApiModelProperty(name = "商品", value = "商品", required = true)
    private Long projectId;

    /** SKU */
    @ApiModelProperty(name = "SKU", value = "SKU", required = true)
    private String projectSku;

    /** 数量 */
    @ApiModelProperty(name = "数量", value = "数量", required = true)
    private Long num;

}
