package com.muyu.system.forest.gaode.api.resp;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author DongZl
 * @description: 行政区接口返回结果集
 * @Date 2024/4/11 下午2:31
 */
@Data
public class DistrictResult {

    /**
     * 返回结果状态值
     * 值为0或1，0表示失败；1表示成功
     */
    private String status;

    /**
     * 返回状态说明
     * 返回状态说明，status为0时，info返回错误原因，否则返回“OK”。
     */
    private String info;

    /**
     * 状态码
     * 返回状态说明，10000代表正确，详情参阅info状态表
     */
    @JSONField(name = "infocode")
    private String infoCode;

    /**
     * 行政区列表
     */
    private List<District> districts;
}

