package com.muyu.system.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import com.muyu.common.system.domain.SysDistrict;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.system.mapper.SysDistrictMapper;
import com.muyu.system.service.SysDistrictService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 地域地区Service业务层处理
 *
 * @author DongZeLiang
 * @date 2024-04-11
 */
@Slf4j
@Service
public class SysDistrictServiceImpl extends ServiceImpl<SysDistrictMapper, SysDistrict>  implements SysDistrictService {

    /**
     * 查询地域地区列表
     *
     * @param sysDistrict 地域地区
     * @return 地域地区
     */
    @Override
    public List<SysDistrict> list(SysDistrict sysDistrict) {
        LambdaQueryWrapper<SysDistrict> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(sysDistrict.getParentId())){
            queryWrapper.eq(SysDistrict::getParentId, sysDistrict.getParentId());
        }

        if (ObjUtils.notNull(sysDistrict.getName())){
            queryWrapper.like(SysDistrict::getName, sysDistrict.getName());
        }

        if (ObjUtils.notNull(sysDistrict.getCode())){
            queryWrapper.eq(SysDistrict::getCode, sysDistrict.getCode());
        }

        if (ObjUtils.notNull(sysDistrict.getLevel())){
            queryWrapper.eq(SysDistrict::getLevel, sysDistrict.getLevel());
        }


        if (ObjUtils.notNull(sysDistrict.getAreaCode())){
            queryWrapper.eq(SysDistrict::getAreaCode, sysDistrict.getAreaCode());
        }






        return list(queryWrapper);
    }
}
