package com.forest;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.common.system.domain.SysDistrict;
import com.muyu.system.MuYuSystemApplication;
import com.muyu.system.forest.gaode.api.GaoDeBaseApi;
import com.muyu.system.forest.gaode.api.resp.District;
import com.muyu.system.forest.gaode.api.resp.DistrictResult;
import com.muyu.system.service.SysDistrictService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author DongZl
 * @description: 测试
 * @Date 2024/4/11 上午10:38
 */
@SpringBootTest(classes = MuYuSystemApplication.class)
public class FoRestTest {

    @Resource
    private GaoDeBaseApi gaoDeBaseApi;

    @Autowired
    private SysDistrictService sysDistrictService;

    @Test
    public void district(){
        DistrictResult districtResult = gaoDeBaseApi.district("广东省","3");
        List<District> districtList = districtResult.getDistricts();
        if (districtList.size() == 1 && "中华人民共和国".equals(districtList.get(0).getName())){
            districtList = districtList.get(0).getDistricts();
        }
        conversion(0L, districtList);
    }


    public void conversion(Long parentId, List<District> districtList){
        if (districtList == null || districtList.isEmpty()){
            return;
        }
        for (District district : districtList) {
            SysDistrict sysDistrict = SysDistrict.builder()
                    .parentId(parentId)
                    .level(district.getLevel())
                    .code("[]".equals(district.getCode()) ? "-" : district.getCode())
                    .name(district.getName())
                    .center(district.getCenter())
                    .areaCode(district.getAreaCode())
                    .build();
            sysDistrictService.save(sysDistrict);
            conversion(sysDistrict.getId(), district.getDistricts());
        }
    }


    @Test
    public void weather(){
        String test = gaoDeBaseApi.weather("310120");
        System.out.println(test);
    }

}
