/*
 Navicat Premium Data Transfer

 Source Server         : 本地5.7
 Source Server Type    : MySQL
 Source Server Version : 50737
 Source Host           : 150.158.86.96:3306
 Source Schema         : product

 Target Server Type    : MySQL
 Target Server Version : 50737
 File Encoding         : 65001

 Date: 15/05/2024 20:33:31
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for as_attribute_group
-- ----------------------------
DROP TABLE IF EXISTS `as_attribute_group`;
CREATE TABLE `as_attribute_group`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `group_id` bigint(20) NOT NULL COMMENT '组ID',
  `attribute_id` bigint(20) NOT NULL COMMENT '属性id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '属性与组中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_attribute_group
-- ----------------------------
INSERT INTO `as_attribute_group` VALUES (1, 6, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (2, 6, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (3, 6, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (4, 8, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (5, 8, 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (6, 8, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (7, 9, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (8, 9, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (9, 9, 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_attribute_group` VALUES (10, 9, 9, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for as_brand_project
-- ----------------------------
DROP TABLE IF EXISTS `as_brand_project`;
CREATE TABLE `as_brand_project`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `brand_id` bigint(20) NOT NULL COMMENT '品牌id',
  `project_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商品id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品牌商品中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_brand_project
-- ----------------------------

-- ----------------------------
-- Table structure for as_category_attribute
-- ----------------------------
DROP TABLE IF EXISTS `as_category_attribute`;
CREATE TABLE `as_category_attribute`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category_id` bigint(20) NOT NULL COMMENT '品类id',
  `attribute_id` bigint(20) NOT NULL COMMENT '属性id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 35 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品类属性中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_category_attribute
-- ----------------------------
INSERT INTO `as_category_attribute` VALUES (1, 12, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (2, 12, 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (3, 12, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (4, 12, 13, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (5, 13, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (6, 14, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (7, 15, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (8, 15, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (9, 16, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (10, 16, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (11, 16, 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (12, 16, 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (13, 17, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (14, 17, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (15, 18, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (16, 18, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (17, 18, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (18, 19, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (19, 19, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (20, 19, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (21, 19, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (22, 19, 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (23, 20, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (24, 20, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (25, 20, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (26, 21, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (27, 21, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (28, 21, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (29, 21, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (30, 22, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (31, 22, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (32, 22, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (33, 22, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute` VALUES (34, 22, 10, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for as_category_attribute_group
-- ----------------------------
DROP TABLE IF EXISTS `as_category_attribute_group`;
CREATE TABLE `as_category_attribute_group`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category_id` bigint(20) NOT NULL COMMENT '品类id',
  `attribute_group_id` bigint(20) NOT NULL COMMENT '属性组',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品类属性组中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_category_attribute_group
-- ----------------------------
INSERT INTO `as_category_attribute_group` VALUES (1, 12, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (2, 13, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (3, 14, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (4, 15, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (5, 15, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (6, 17, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (7, 18, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (8, 18, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (9, 19, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (10, 19, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (11, 19, 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (12, 20, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (13, 20, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (14, 21, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (15, 21, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (16, 21, 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (17, 22, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (18, 22, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (19, 22, 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_attribute_group` VALUES (20, 22, 9, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for as_category_brand
-- ----------------------------
DROP TABLE IF EXISTS `as_category_brand`;
CREATE TABLE `as_category_brand`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category_id` bigint(20) NOT NULL COMMENT '品类id',
  `brand_id` bigint(20) NOT NULL COMMENT '品牌id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品类品牌中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_category_brand
-- ----------------------------
INSERT INTO `as_category_brand` VALUES (1, 12, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (2, 14, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (3, 15, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (4, 16, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (5, 16, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (6, 17, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (7, 18, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (8, 19, 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (9, 19, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (10, 20, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (11, 20, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (12, 21, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (13, 21, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (14, 21, 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (15, 22, 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (16, 22, 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (17, 22, 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_category_brand` VALUES (18, 22, 2, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for as_product_attribute_info
-- ----------------------------
DROP TABLE IF EXISTS `as_product_attribute_info`;
CREATE TABLE `as_product_attribute_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '属性编号',
  `product_id` bigint(20) NOT NULL COMMENT '商品',
  `attribute_id` bigint(20) NOT NULL COMMENT '属性',
  `value` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '属性值',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(900) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 59 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品属性表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of as_product_attribute_info
-- ----------------------------
INSERT INTO `as_product_attribute_info` VALUES (1, 1, 1, '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (2, 1, 2, '2', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (3, 1, 4, '3', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (4, 1, 9, '4', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (5, 1, 10, '5', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (6, 1, 3, '6', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (7, 1, 12, '7', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (8, 2, 1, '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (9, 2, 2, '2', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (10, 2, 4, '3', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (11, 2, 9, '4', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (12, 2, 10, '5', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (13, 2, 3, '6', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (14, 2, 12, '7', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (21, 3, 1, '骁龙888', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (22, 3, 2, '16G', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (23, 3, 4, '紫/红/黑/白', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (24, 3, 9, '2024-3-26', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (25, 3, 10, '128MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (26, 3, 3, '6.67', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (27, 3, 5, '塑料/陶瓷', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (28, 3, 7, '2022', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (29, 3, 8, '10', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (30, 3, 11, '100MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (31, 3, 12, '20MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (32, 3, 13, '156G', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (33, 4, 1, '骁龙888', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (34, 4, 2, '16G', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (35, 4, 4, '紫/红/黑/白', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (36, 4, 9, '2024-3-26', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (37, 4, 10, '128MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (38, 4, 3, '6.67', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (39, 4, 5, '塑料/陶瓷', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (40, 4, 7, '2022', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (41, 4, 8, '10', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (42, 4, 11, '100MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (43, 4, 12, '20MM', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (44, 4, 13, '156G', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (45, 5, 1, '测试', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (46, 5, 2, '测试', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (47, 5, 4, '差多少', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (48, 5, 1, '网络', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (49, 5, 3, '长度', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (50, 5, 10, '出生的', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (51, 5, 5, '但是', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (52, 5, 6, '说的话', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (53, 5, 7, '的话', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `as_product_attribute_info` VALUES (54, 5, 19, '收到', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for attribute_group
-- ----------------------------
DROP TABLE IF EXISTS `attribute_group`;
CREATE TABLE `attribute_group`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '属性组编号',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '组名称',
  `states` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(900) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '属性组表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of attribute_group
-- ----------------------------
INSERT INTO `attribute_group` VALUES (6, '测试', 'Y', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_group` VALUES (8, '测试1', 'Y', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_group` VALUES (9, '2024-4-9', 'Y', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for attribute_info
-- ----------------------------
DROP TABLE IF EXISTS `attribute_info`;
CREATE TABLE `attribute_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '属性编号',
  `code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '属性编码',
  `name` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '属性名',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(900) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品属性表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of attribute_info
-- ----------------------------
INSERT INTO `attribute_info` VALUES (1, 'CPU', 'CPU', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (2, 'memory', '内存', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (3, 'screen_size', '屏幕尺寸', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (4, 'color', '颜色', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (5, 'material', '材质', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (6, 'capacity', '容量', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (7, 'the_year_listing', '上市年份', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (8, 'listing_month', '上市月份', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (9, 'date_of_sale', '销售日期', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (10, 'Length', '长度', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (11, 'width', '宽度', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (12, 'thickness', '厚度', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (13, 'weight', '重量', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (19, 'A', 'A', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (20, 'B', 'B', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (21, 'C', 'C', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (22, 'D', '测试D', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (23, '1', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (24, '1', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (25, '1', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (26, '1', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (27, '阿斯顿飞过', '撒旦', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (28, 'C', '阿萨', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `attribute_info` VALUES (29, '1', '2', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for brand_info
-- ----------------------------
DROP TABLE IF EXISTS `brand_info`;
CREATE TABLE `brand_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `nam` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '品牌名称',
  `logo` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'LOGO',
  `start` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否启用',
  `introduction` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '介绍',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品牌信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of brand_info
-- ----------------------------
INSERT INTO `brand_info` VALUES (2, '华为', 'http://150.158.86.96:9300/statics/2024/03/05/仓鼠_20240305092606A001.png', 'Y', '无', ' 几乎一个', 'admin', '2024-03-05 09:26:09', 'admin', '2024-03-08 20:48:35');
INSERT INTO `brand_info` VALUES (3, '苹果', 'http://150.158.86.96:9300/statics/2024/03/05/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240305092615A002.png', 'Y', '无', 'i看机会', 'admin', '2024-03-05 09:26:18', 'admin', '2024-03-08 20:48:26');
INSERT INTO `brand_info` VALUES (4, '小米', 'http://150.158.86.96:9300/statics/2024/03/21/1688525436945_20240321112835A002.jpg', 'Y', NULL, NULL, 'admin', '2024-03-21 11:28:39', NULL, NULL);
INSERT INTO `brand_info` VALUES (5, '苹果', 'http://150.158.86.96:9300/statics/2024/03/26/647726DD13E751DA201EE4D5E9D2A280_20240326135516A015.jpg', 'Y', '而东风', '他又何必', 'admin', '2024-03-26 13:55:47', NULL, NULL);

-- ----------------------------
-- Table structure for category_info
-- ----------------------------
DROP TABLE IF EXISTS `category_info`;
CREATE TABLE `category_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '品类名称',
  `image` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '图片',
  `parent_id` bigint(20) NOT NULL COMMENT '父级品类',
  `start` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否启用',
  `introduction` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '介绍',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 23 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品类信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of category_info
-- ----------------------------
INSERT INTO `category_info` VALUES (1, '节点1', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png', 0, 'Y', '介绍', NULL, 'admin', '2024-02-28 17:09:11', NULL, NULL);
INSERT INTO `category_info` VALUES (2, '节点1-1', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170926A003.png', 1, 'Y', '测试', NULL, 'admin', '2024-02-28 17:09:31', NULL, NULL);
INSERT INTO `category_info` VALUES (3, '节点1-1-1', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170944A004.png', 2, 'Y', '测试', NULL, 'admin', '2024-02-28 17:09:48', NULL, NULL);
INSERT INTO `category_info` VALUES (4, '节点2', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170956A005.png', 0, 'Y', '', NULL, 'admin', '2024-02-28 17:09:58', NULL, NULL);
INSERT INTO `category_info` VALUES (5, '节点2-1', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171012A006.png', 4, 'Y', '测试', NULL, 'admin', '2024-02-28 17:10:14', NULL, NULL);
INSERT INTO `category_info` VALUES (6, '节点2-1-1', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171031A007.png', 5, 'Y', '', NULL, 'admin', '2024-02-28 17:10:34', NULL, NULL);
INSERT INTO `category_info` VALUES (7, '节点1-1-2', 'http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171047A008.png', 2, 'Y', '测试', NULL, 'admin', '2024-02-28 17:10:50', NULL, NULL);
INSERT INTO `category_info` VALUES (13, '测试-1', 'http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114154A001.png', 0, 'Y', NULL, NULL, 'admin', '2024-03-01 11:42:03', NULL, NULL);
INSERT INTO `category_info` VALUES (14, '测试1-1', 'http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114209A002.png', 13, 'Y', NULL, NULL, 'admin', '2024-03-01 11:42:22', NULL, NULL);
INSERT INTO `category_info` VALUES (15, '测试1-2', 'http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114446A003.png', 13, 'Y', NULL, NULL, 'admin', '2024-03-01 11:44:56', NULL, NULL);
INSERT INTO `category_info` VALUES (16, '测试1-1-1', 'http://150.158.86.96:9300/statics/2024/03/06/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240306162814A001.png', 14, 'Y', NULL, NULL, 'admin', '2024-03-06 16:28:27', NULL, NULL);
INSERT INTO `category_info` VALUES (17, '顶级1', 'http://150.158.86.96:9300/statics/2024/03/08/花木兰_20240308170205A043.png', 0, 'Y', NULL, NULL, 'admin', '2024-03-08 17:02:31', NULL, NULL);
INSERT INTO `category_info` VALUES (18, '测试1-2-1', 'http://150.158.86.96:9300/statics/2024/03/21/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240321112815A001.png', 15, 'Y', NULL, NULL, 'admin', '2024-03-21 11:28:17', NULL, NULL);
INSERT INTO `category_info` VALUES (19, '二〇二四年四月九日', 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212327A001.jpg', 15, 'Y', NULL, NULL, 'admin', '2024-04-09 21:23:29', NULL, NULL);
INSERT INTO `category_info` VALUES (20, '2024年5月15日-1', 'http://150.158.86.96:9300/statics/2024/05/15/1688525436945_20240515194730A001.jpg', 0, 'Y', NULL, NULL, 'admin', '2024-05-15 19:47:42', NULL, NULL);
INSERT INTO `category_info` VALUES (21, '2024年5月15日-1-1', 'http://150.158.86.96:9300/statics/2024/05/15/1688527462686_20240515194817A002.jpg', 20, 'Y', NULL, NULL, 'admin', '2024-05-15 19:48:19', NULL, NULL);
INSERT INTO `category_info` VALUES (22, '2024年5月15日-1-1-1', 'http://150.158.86.96:9300/statics/2024/05/15/1688527462686_20240515194838A003.jpg', 21, 'Y', NULL, NULL, 'admin', '2024-05-15 19:48:46', NULL, NULL);

-- ----------------------------
-- Table structure for comment_info
-- ----------------------------
DROP TABLE IF EXISTS `comment_info`;
CREATE TABLE `comment_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `project_id` bigint(20) NOT NULL COMMENT '商品id',
  `comment` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '评论',
  `images` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片',
  `parent_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父类id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品评论表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of comment_info
-- ----------------------------

-- ----------------------------
-- Table structure for comment_like_info
-- ----------------------------
DROP TABLE IF EXISTS `comment_like_info`;
CREATE TABLE `comment_like_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `comment_id` bigint(20) NOT NULL COMMENT '评论id',
  `user_id` bigint(20) NOT NULL COMMENT '点赞人id',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '评论点赞表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of comment_like_info
-- ----------------------------

-- ----------------------------
-- Table structure for project_info
-- ----------------------------
DROP TABLE IF EXISTS `project_info`;
CREATE TABLE `project_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品名称',
  `introduction` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '商品描述',
  `mian_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '主类型',
  `parent_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父类型',
  `type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品类型',
  `image` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品图片',
  `carousel_images` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品轮播图',
  `status` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品状态',
  `rule_id` bigint(20) NULL DEFAULT NULL COMMENT '规格',
  `brand_id` bigint(20) NULL DEFAULT NULL COMMENT '品牌',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of project_info
-- ----------------------------
INSERT INTO `project_info` VALUES (1, '测试', '123', '13', '14', '16', 'http://150.158.86.96:9300/statics/2024/03/22/1688525436945_20240322144241A033.jpg', 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144244A034.jpg', 'Y', 5, 4, NULL, 'admin', '2024-03-22 14:44:47', NULL, NULL);
INSERT INTO `project_info` VALUES (2, '测试', '123', '13', '14', '16', 'http://150.158.86.96:9300/statics/2024/03/22/1688525436945_20240322144241A033.jpg', 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144244A034.jpg,http://150.158.86.96:9300/statics/2024/03/22/1688525436945_20240322144241A033.jpg', 'Y', 5, 4, NULL, 'admin', '2024-03-22 14:45:17', NULL, NULL);
INSERT INTO `project_info` VALUES (3, '小米10 pro max ', '<p><img src=\"http://150.158.86.96:9300/statics/2024/03/26/20210125092431_20240326110040A008.png\"></p><p><img src=\"http://150.158.86.96:9300/statics/2024/03/26/20210125092537_20240326110045A009.png\"></p><p><img src=\"http://150.158.86.96:9300/statics/2024/03/26/20210125092613_20240326110052A010.png\"></p><p><img src=\"http://150.158.86.96:9300/statics/2024/03/26/20210125092820_20240326110059A011.png\"></p><p><img src=\"http://150.158.86.96:9300/statics/2024/03/26/T20210125092733_20240326110106A012.png\"></p>', '13', '14', '16', 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105343A001.png', 'http://150.158.86.96:9300/statics/2024/03/26/20210115220654_20240326105350A002.png,http://150.158.86.96:9300/statics/2024/03/26/20210115220705_20240326105350A003.png,http://150.158.86.96:9300/statics/2024/03/26/20210115220715_20240326105350A004.png', 'Y', 5, 4, NULL, 'admin', '2024-03-26 10:58:09', NULL, NULL);
INSERT INTO `project_info` VALUES (4, '小米11 pro max ', '商品非常不错', '13', '14', '16', 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105343A001.png', 'http://150.158.86.96:9300/statics/2024/03/26/20210115220654_20240326105350A002.png,http://150.158.86.96:9300/statics/2024/03/26/20210115220705_20240326105350A003.png,http://150.158.86.96:9300/statics/2024/03/26/20210115220715_20240326105350A004.png', 'Y', 5, 4, NULL, 'admin', '2024-03-26 11:17:12', NULL, NULL);
INSERT INTO `project_info` VALUES (5, '测试', '出生时', '13', '15', '19', 'http://150.158.86.96:9300/statics/2024/04/09/1688525436945_20240409212344A002.jpg', 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212346A003.jpg', 'Y', 5, 4, NULL, 'admin', '2024-04-09 21:24:36', NULL, NULL);
INSERT INTO `project_info` VALUES (6, '测试法违法', '啊收发文', '13', '15', '18', 'http://150.158.86.96:9300/statics/2024/05/15/1688525436945_20240515194921A004.jpg', 'http://150.158.86.96:9300/statics/2024/05/15/1688527462686_20240515194923A005.jpg', 'Y', 5, 4, NULL, 'admin', '2024-05-15 19:50:34', NULL, NULL);

-- ----------------------------
-- Table structure for project_sku_info
-- ----------------------------
DROP TABLE IF EXISTS `project_sku_info`;
CREATE TABLE `project_sku_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `project_id` bigint(20) NOT NULL COMMENT '商品id',
  `sku` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'sku',
  `stock` int(11) NOT NULL COMMENT '商品库存',
  `price` decimal(24, 6) NOT NULL COMMENT '商品价格',
  `image` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '规格图片',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 41 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品SKU表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of project_sku_info
-- ----------------------------
INSERT INTO `project_sku_info` VALUES (1, 2, '骁龙888-8G-128G', 12, 12.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (2, 2, '骁龙888-8G-512G', 565, 565.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (3, 2, '骁龙888-16G-128G', 485, 485.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (4, 2, '骁龙888-16G-512G', 658, 658.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (5, 2, '骁龙888plus-8G-128G', 425, 425.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (6, 2, '骁龙888plus-8G-512G', 963, 963.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (7, 2, '骁龙888plus-16G-128G', 875, 875.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (8, 2, '骁龙888plus-16G-512G', 458, 458.000000, 'http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144513A035.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (17, 3, '骁龙888-8G-128G', 25, 2999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (18, 3, '骁龙888-8G-512G', 25, 3999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (19, 3, '骁龙888-16G-128G', 25, 3666.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (20, 3, '骁龙888-16G-512G', 25, 4999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (21, 3, '骁龙888plus-8G-128G', 25, 5999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (22, 3, '骁龙888plus-8G-512G', 25, 4356.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (23, 3, '骁龙888plus-16G-128G', 25, 4699.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (24, 3, '骁龙888plus-16G-512G', 25, 6599.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (25, 4, '骁龙888-8G-128G', 25, 2999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (26, 4, '骁龙888-8G-512G', 25, 3999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (27, 4, '骁龙888-16G-128G', 25, 3666.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (28, 4, '骁龙888-16G-512G', 25, 4999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (29, 4, '骁龙888plus-8G-128G', 25, 5999.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (30, 4, '骁龙888plus-8G-512G', 25, 4356.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (31, 4, '骁龙888plus-16G-128G', 25, 4699.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (32, 4, '骁龙888plus-16G-512G', 25, 6599.000000, 'http://150.158.86.96:9300/statics/2024/03/26/20210115220633_20240326105615A005.png', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (33, 5, '骁龙888-8G-128G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (34, 5, '骁龙888-8G-512G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (35, 5, '骁龙888-16G-128G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (36, 5, '骁龙888-16G-512G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (37, 5, '骁龙888plus-8G-128G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (38, 5, '骁龙888plus-8G-512G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (39, 5, '骁龙888plus-16G-128G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `project_sku_info` VALUES (40, 5, '骁龙888plus-16G-512G', 25, 1256.000000, 'http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212426A004.jpg', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for rule_attr_info
-- ----------------------------
DROP TABLE IF EXISTS `rule_attr_info`;
CREATE TABLE `rule_attr_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `rule_id` bigint(20) NOT NULL COMMENT '规格id',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类目名称',
  `attr_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格值',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '规格详情表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of rule_attr_info
-- ----------------------------
INSERT INTO `rule_attr_info` VALUES (1, 4, '规格1', '属性1,属性2', NULL, 'admin', '2024-03-04 15:06:16', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (2, 4, '规格2', '属性3,属性4', NULL, 'admin', '2024-03-04 15:06:16', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (3, 5, 'CPU', '骁龙888,骁龙888plus', NULL, 'admin', '2024-03-04 15:15:35', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (4, 5, '内存', '8G,16G', NULL, 'admin', '2024-03-04 15:15:35', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (5, 5, '储存', '128G,512G', NULL, 'admin', '2024-03-04 15:15:35', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (6, 6, '尺码', 'X,L,XXL', NULL, 'admin', '2024-03-08 15:36:56', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (7, 6, '颜色', '蓝色,红色,绿色,黑色', NULL, 'admin', '2024-03-08 15:36:56', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (8, 6, '人群', '男性,女性,儿童', NULL, 'admin', '2024-03-08 15:36:56', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (9, 10, '1', '1', NULL, 'admin', '2024-03-08 21:18:16', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (10, 7, '规格1', '属性1,属性2,属性3', NULL, 'admin', '2024-03-21 11:27:37', NULL, NULL);
INSERT INTO `rule_attr_info` VALUES (11, 7, '规格2', '属性4,属性5,属性6', NULL, 'admin', '2024-03-21 11:27:37', NULL, NULL);

-- ----------------------------
-- Table structure for rule_info
-- ----------------------------
DROP TABLE IF EXISTS `rule_info`;
CREATE TABLE `rule_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格名称',
  `status` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格状态',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品规格表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of rule_info
-- ----------------------------
INSERT INTO `rule_info` VALUES (4, '测试', NULL, NULL, 'admin', '2024-03-04 15:06:16', NULL, NULL);
INSERT INTO `rule_info` VALUES (5, '手机', NULL, NULL, 'admin', '2024-03-04 15:15:35', NULL, NULL);
INSERT INTO `rule_info` VALUES (6, '衣服', NULL, NULL, 'admin', '2024-03-08 15:36:56', NULL, NULL);
INSERT INTO `rule_info` VALUES (7, '测试2', NULL, NULL, 'admin', '2024-03-21 11:27:37', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
