/*
 Navicat Premium Data Transfer

 Source Server         : 本地5.7
 Source Server Type    : MySQL
 Source Server Version : 50737
 Source Host           : 150.158.86.96:3306
 Source Schema         : ry-cloud

 Target Server Type    : MySQL
 Target Server Version : 50737
 File Encoding         : 65001

 Date: 15/05/2024 20:33:22
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 41 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (21, 'as_brand_project', '品牌商品中间表', NULL, NULL, 'AsBrandProject', 'crud', 'com.muyu.product', 'product', 'project', '品牌商品中间', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 11:01:39', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (22, 'as_category_attribute', '品类属性中间表', NULL, NULL, 'AsCategoryAttribute', 'crud', 'com.muyu.product', 'product', 'attribute', '品类属性中间', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 11:01:39', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (23, 'as_category_attribute_group', '品类属性组中间表', NULL, NULL, 'AsCategoryAttributeGroup', 'crud', 'com.muyu.product', 'product', 'group', '品类属性组中间', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 11:01:39', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (24, 'as_category_brand', '品类品牌中间表', NULL, NULL, 'AsCategoryBrand', 'crud', 'com.muyu.product', 'product', 'brand', '品类品牌中间', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 11:01:39', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (25, 'attribute_group', '属性组表', NULL, NULL, 'AttributeGroup', 'crud', 'com.muyu.product', 'product', 'attributeGroup', '属性组', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18', NULL);
INSERT INTO `gen_table` VALUES (26, 'attribute_info', '商品属性表', NULL, NULL, 'AttributeInfo', 'crud', 'com.muyu.product', 'product', 'attribute', '商品属性', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34', NULL);
INSERT INTO `gen_table` VALUES (27, 'brand_info', '品牌信息', NULL, NULL, 'BrandInfo', 'crud', 'com.muyu.product', 'product', 'brand', '品牌信息', 'DongZeLiang', '0', '/', '{\"parentMenuId\":\"1070\"}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05', NULL);
INSERT INTO `gen_table` VALUES (28, 'category_info', '品类信息', '', '', 'CategoryInfo', 'tree', 'com.muyu.product', 'product', 'category', '品类信息', 'DongZeLiang', '0', '/', '{\"treeCode\":\"id\",\"treeName\":\"name\",\"treeParentCode\":\"parent_id\",\"parentMenuId\":\"1070\"}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21', NULL);
INSERT INTO `gen_table` VALUES (29, 'comment_like_info', '评论点赞表', NULL, NULL, 'CommentLikeInfo', 'crud', 'com.muyu.product', 'product', 'commentLike', '评论点赞', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31', NULL);
INSERT INTO `gen_table` VALUES (32, 'project_info', '商品信息', NULL, NULL, 'ProjectInfo', 'crud', 'com.muyu.product', 'product', 'info', '商品信息', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20', NULL);
INSERT INTO `gen_table` VALUES (33, 'project_sku_info', '商品SKU表', NULL, NULL, 'ProjectSkuInfo', 'crud', 'com.muyu.product', 'product', 'sku', '商品SKU', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43', NULL);
INSERT INTO `gen_table` VALUES (34, 'rule_attr_info', '规格详情表', NULL, NULL, 'RuleAttrInfo', 'crud', 'com.muyu.product', 'product', 'ruleAttr', '规格详情', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09', NULL);
INSERT INTO `gen_table` VALUES (35, 'rule_info', '商品规格表', NULL, NULL, 'RuleInfo', 'crud', 'com.muyu.product', 'product', 'rule', '商品规格', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28', NULL);
INSERT INTO `gen_table` VALUES (36, 'as_product_attribute_info', '商品属性表', NULL, NULL, 'AsProductAttributeInfo', 'crud', 'com.muyu.product', 'product', 'info', '商品属性', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 11:24:22', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (37, 'comment_info', '商品评论表', NULL, NULL, 'CommentInfo', 'crud', 'com.muyu.product', 'product', 'comment', '商品评论', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1070}', 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01', NULL);
INSERT INTO `gen_table` VALUES (38, 'as_attribute_group', '属性与组中间表', NULL, NULL, 'AsAttributeGroup', 'crud', 'com.muyu.product', 'product', 'group', '属性与组中间', 'DongZeLiang', '0', '/', NULL, 'admin', '2024-02-27 16:19:50', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (39, 'cart_info', '购物车信息', NULL, NULL, 'CartInfo', 'crud', 'com.muyu.shop.cart', 'shopCart', 'Info', '购物车', 'DongZeLiang', '0', '/', '{\"parentMenuId\":1150}', 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16', NULL);
INSERT INTO `gen_table` VALUES (40, 'sys_district', '地区表', NULL, NULL, 'SysDistrict', 'crud', 'com.muyu.system', 'system', 'district', '地域地区', 'DongZeLiang', '0', '/', '{\"parentMenuId\":3}', 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 382 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (191, 21, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (192, 21, 'brand_id', '品牌id', 'bigint(20)', 'Long', 'brandId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (193, 21, 'project_id', '商品id', 'varchar(255)', 'String', 'projectId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (194, 21, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (195, 21, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (196, 21, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (197, 21, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (198, 21, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (199, 22, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (200, 22, 'category_id', '品类id', 'bigint(20)', 'Long', 'categoryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (201, 22, 'attribute_id', '属性id', 'bigint(20)', 'Long', 'attributeId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (202, 22, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (203, 22, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (204, 22, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (205, 22, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (206, 22, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (207, 23, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (208, 23, 'category_id', '品类id', 'bigint(20)', 'Long', 'categoryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (209, 23, 'attribute_group_id', '属性组', 'bigint(20)', 'Long', 'attributeGroupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (210, 23, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (211, 23, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (212, 23, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (213, 23, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (214, 23, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (215, 24, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (216, 24, 'category_id', '品类id', 'bigint(20)', 'Long', 'categoryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (217, 24, 'brand_id', '品牌id', 'bigint(20)', 'Long', 'brandId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (218, 24, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (219, 24, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (220, 24, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (221, 24, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (222, 24, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (223, 25, 'id', '属性组编号', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (224, 25, 'name', '组名称', 'varchar(32)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (225, 25, 'states', '状态', 'varchar(1)', 'String', 'states', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', 'sys_yes_no', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (226, 25, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (227, 25, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (228, 25, 'updata_by', '更新人', 'varchar(32)', 'String', 'updataBy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (229, 25, 'updata_time', '更新时间', 'datetime', 'Date', 'updataTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (230, 25, 'remark', '备注', 'varchar(900)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:19:18');
INSERT INTO `gen_table_column` VALUES (231, 26, 'id', '属性编号', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (232, 26, 'name', '属性名', 'varchar(90)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (233, 26, 'group_id', '分组', 'bigint(20)', 'Long', 'groupId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (234, 26, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (235, 26, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (236, 26, 'updata_by', '更新人', 'varchar(32)', 'String', 'updataBy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (237, 26, 'updata_time', '更新时间', 'datetime', 'Date', 'updataTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (238, 26, 'remark', '备注', 'varchar(900)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:20:34');
INSERT INTO `gen_table_column` VALUES (239, 27, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (240, 27, 'nam', '品牌名称', 'varchar(90)', 'String', 'nam', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (241, 27, 'logo', 'LOGO', 'varchar(1024)', 'String', 'logo', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'imageUpload', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (242, 27, 'start', '是否启用', 'varchar(32)', 'String', 'start', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', 'sys_yes_no', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (243, 27, 'introduction', '介绍', 'text', 'String', 'introduction', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'editor', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (244, 27, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (245, 27, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (246, 27, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (247, 27, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (248, 27, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 16:04:05');
INSERT INTO `gen_table_column` VALUES (249, 28, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (250, 28, 'name', '品类名称', 'varchar(32)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (251, 28, 'image', '图片', 'varchar(1024)', 'String', 'image', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'imageUpload', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (252, 28, 'parent_id', '父级品类', 'bigint(20)', 'Long', 'parentId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (253, 28, 'start', '是否启用', 'varchar(32)', 'String', 'start', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', 'sys_yes_no', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (254, 28, 'introduction', '介绍', 'text', 'String', 'introduction', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'editor', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (255, 28, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (256, 28, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (257, 28, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (258, 28, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (259, 28, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:37:21');
INSERT INTO `gen_table_column` VALUES (260, 29, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (261, 29, 'comment_id', '评论id', 'bigint(20)', 'Long', 'commentId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (262, 29, 'user_id', '点赞人id', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (263, 29, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (264, 29, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (265, 29, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (266, 29, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (267, 29, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:22:31');
INSERT INTO `gen_table_column` VALUES (287, 32, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (288, 32, 'name', '商品名称', 'varchar(90)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (289, 32, 'introduction', '商品描述', 'text', 'String', 'introduction', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'editor', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (290, 32, 'mian_type', '主类型', 'varchar(255)', 'String', 'mianType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (291, 32, 'parent_type', '父类型', 'varchar(255)', 'String', 'parentType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (292, 32, 'type', '商品类型', 'varchar(32)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (293, 32, 'image', '商品图片', 'varchar(1024)', 'String', 'image', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'imageUpload', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (294, 32, 'carousel_images', '商品轮播图', 'varchar(1024)', 'String', 'carouselImages', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'imageUpload', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (295, 32, 'status', '商品状态', 'varchar(32)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', 'sys_yes_no', 9, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (296, 32, 'rule_id', '规格', 'bigint(20)', 'Long', 'ruleId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (297, 32, 'brand_id', '品牌', 'bigint(20)', 'Long', 'brandId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (298, 32, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 12, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (299, 32, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (300, 32, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (301, 32, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (302, 32, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:20');
INSERT INTO `gen_table_column` VALUES (303, 33, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (304, 33, 'project_id', '商品id', 'bigint(20)', 'Long', 'projectId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (305, 33, 'sku', 'sku', 'varchar(1024)', 'String', 'sku', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (306, 33, 'stock', '商品库存', 'int(11)', 'Long', 'stock', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (307, 33, 'price', '商品价格', 'decimal(24,6)', 'BigDecimal', 'price', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (308, 33, 'image', '规格图片', 'varchar(1024)', 'String', 'image', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'imageUpload', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (309, 33, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (310, 33, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (311, 33, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (312, 33, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (313, 33, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:25:43');
INSERT INTO `gen_table_column` VALUES (314, 34, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (315, 34, 'rule_id', '规格id', 'bigint(20)', 'Long', 'ruleId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (316, 34, 'name', '类目名称', 'varchar(255)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (317, 34, 'attr_value', '规格值', 'varchar(255)', 'String', 'attrValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (318, 34, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (319, 34, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (320, 34, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (321, 34, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (322, 34, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:09');
INSERT INTO `gen_table_column` VALUES (323, 35, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (324, 35, 'name', '规格名称', 'varchar(255)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (325, 35, 'status', '规格状态', 'varchar(32)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 3, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (326, 35, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (327, 35, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (328, 35, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (329, 35, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (330, 35, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:01:39', '', '2024-02-27 11:26:28');
INSERT INTO `gen_table_column` VALUES (331, 36, 'id', '属性编号', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (332, 36, 'product_id', '商品', 'bigint(20)', 'Long', 'productId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (333, 36, 'attribute_id', '属性', 'bigint(20)', 'Long', 'attributeId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (334, 36, 'value', '属性值', 'varchar(32)', 'String', 'value', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (335, 36, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (336, 36, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (337, 36, 'updata_by', '更新人', 'varchar(32)', 'String', 'updataBy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (338, 36, 'updata_time', '更新时间', 'datetime', 'Date', 'updataTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (339, 36, 'remark', '备注', 'varchar(900)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-02-27 11:24:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (340, 37, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (341, 37, 'project_id', '商品id', 'bigint(20)', 'Long', 'projectId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (342, 37, 'comment', '评论', 'text', 'String', 'comment', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'editor', '', 3, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (343, 37, 'images', '图片', 'varchar(1024)', 'String', 'images', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'imageUpload', '', 4, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (344, 37, 'parent_id', '父类id', 'varchar(255)', 'String', 'parentId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (345, 37, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 6, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (346, 37, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (347, 37, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (348, 37, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (349, 37, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-02-27 11:24:22', '', '2024-02-27 11:27:01');
INSERT INTO `gen_table_column` VALUES (350, 38, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (351, 38, 'group_id', '组ID', 'bigint(20)', 'Long', 'groupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (352, 38, 'attribute_id', '属性id', 'bigint(20)', 'Long', 'attributeId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (353, 38, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (354, 38, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (355, 38, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (356, 38, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (357, 38, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-02-27 16:19:50', '', NULL);
INSERT INTO `gen_table_column` VALUES (358, 39, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (359, 39, 'project_id', '商品', 'bigint(20)', 'Long', 'projectId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (360, 39, 'project_sku', 'SKU', 'varchar(32)', 'String', 'projectSku', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (361, 39, 'user_id', '用户', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (362, 39, 'num', '数量', 'int(11)', 'Long', 'num', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (363, 39, 'is_selected', '是否选中', 'char(1)', 'String', 'isSelected', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (364, 39, 'remark', '备注', 'text', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 7, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (365, 39, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (366, 39, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (367, 39, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (368, 39, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-03-29 11:53:35', '', '2024-03-29 11:56:16');
INSERT INTO `gen_table_column` VALUES (369, 40, 'id', 'ID', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (370, 40, 'parent_id', '父级', 'bigint(20)', 'Long', 'parentId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (371, 40, 'name', '名称', 'varchar(64)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (372, 40, 'code', '编码', 'varchar(64)', 'String', 'code', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (373, 40, 'level', '级别', 'varchar(32)', 'String', 'level', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', 'district_level_type', 5, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (374, 40, 'code_level', '级别编码', 'varchar(128)', 'String', 'codeLevel', '0', '0', NULL, '1', '1', '0', '0', 'EQ', 'input', '', 6, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (375, 40, 'area_code', '区域编码', 'varchar(32)', 'String', 'areaCode', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (376, 40, 'center', '中心经纬度', 'varchar(64)', 'String', 'center', '0', '0', NULL, '1', '1', '1', '0', 'EQ', 'input', '', 8, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (377, 40, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (378, 40, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (379, 40, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (380, 40, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');
INSERT INTO `gen_table_column` VALUES (381, 40, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-04-11 14:09:28', '', '2024-04-11 14:15:13');

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(13) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(13) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(13) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(13) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(7) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(12) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(10) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(13) NOT NULL COMMENT '开始时间',
  `end_time` bigint(13) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(2) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2023-11-12 15:57:49', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2023-11-12 15:57:49', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2023-11-12 15:57:49', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2023-11-12 15:57:49', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2023-11-12 15:57:49', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 110 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', 'admin', '2024-03-08 20:52:23', '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (30, 0, '小说', '1', 'boot_type', NULL, 'primary', 'N', '0', 'admin', '2024-02-22 16:21:02', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (31, 0, '文艺', '2', 'boot_type', NULL, 'success', 'N', '0', 'admin', '2024-02-22 16:21:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (32, 0, '国家', 'country', 'district_level_type', NULL, 'default', 'N', '0', 'admin', '2024-04-11 14:11:40', '', NULL, 'country:国家\n\nprovince:省份（直辖市会在province显示）\n\ncity:市（直辖市会在province显示）\n\ndistrict:区县\n\nstreet:街道');
INSERT INTO `sys_dict_data` VALUES (33, 0, '省份/直辖市', 'province', 'district_level_type', NULL, 'default', 'N', '0', 'admin', '2024-04-11 14:12:10', '', NULL, 'country:国家\n\nprovince:省份（直辖市会在province显示）\n\ncity:市（直辖市会在province显示）\n\ndistrict:区县\n\nstreet:街道');
INSERT INTO `sys_dict_data` VALUES (34, 0, '市/直辖市', 'city', 'district_level_type', NULL, 'default', 'N', '0', 'admin', '2024-04-11 14:12:45', '', NULL, 'country:国家\n\nprovince:省份（直辖市会在province显示）\n\ncity:市（直辖市会在province显示）\n\ndistrict:区县\n\nstreet:街道');
INSERT INTO `sys_dict_data` VALUES (35, 0, '区/县', 'district', 'district_level_type', NULL, 'default', 'N', '0', 'admin', '2024-04-11 14:13:14', '', NULL, 'country:国家\n\nprovince:省份（直辖市会在province显示）\n\ncity:市（直辖市会在province显示）\n\ndistrict:区县\n\nstreet:街道');
INSERT INTO `sys_dict_data` VALUES (36, 0, '街道', 'street', 'district_level_type', NULL, 'default', 'N', '0', 'admin', '2024-04-11 14:13:34', '', NULL, 'country:国家\n\nprovince:省份（直辖市会在province显示）\n\ncity:市（直辖市会在province显示）\n\ndistrict:区县\n\nstreet:街道');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (11, '书籍类型', 'boot_type', '0', 'admin', '2024-02-22 16:20:37', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (12, '地区地域级别类型', 'district_level_type', '0', 'admin', '2024-04-11 14:10:52', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_district
-- ----------------------------
DROP TABLE IF EXISTS `sys_district`;
CREATE TABLE `sys_district`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `parent_id` bigint(20) NULL DEFAULT NULL COMMENT '父级',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码',
  `level` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '级别',
  `code_level` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '级别编码',
  `area_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区域编码',
  `center` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '中心经纬度',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '地区表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_district
-- ----------------------------

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'myTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2023-11-12 15:57:49', '', '2024-03-08 20:51:32', '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'myTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'myTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2023-11-12 15:57:49', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------
INSERT INTO `sys_job_log` VALUES (1, '系统默认（无参）', 'DEFAULT', 'myTask.ryNoParams', '系统默认（无参） 总共耗时：2毫秒', '0', '', '2024-03-08 20:51:30');
INSERT INTO `sys_job_log` VALUES (2, '系统默认（无参）', 'DEFAULT', 'myTask.ryNoParams', '系统默认（无参） 总共耗时：0毫秒', '0', '', '2024-03-08 20:51:38');
INSERT INTO `sys_job_log` VALUES (3, '系统默认（无参）', 'DEFAULT', 'myTask.ryNoParams', '系统默认（无参） 总共耗时：0毫秒', '0', '', '2024-03-08 21:22:37');

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示信息',
  `access_time` datetime(0) NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`access_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 551 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:03:33');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '150.158.86.96', '0', '退出成功', '2023-11-12 16:03:35');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:05:39');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:05:43');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:05:54');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:06:26');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:06:53');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:08:13');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-12 16:09:16');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '150.158.86.96', '0', '登录成功', '2023-11-13 09:57:57');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '150.158.86.96', '0', '登录成功', '2024-01-15 15:22:36');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '150.158.86.96', '0', '登录成功', '2024-01-15 19:40:01');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '150.158.86.96', '0', '退出成功', '2024-01-15 19:40:02');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '150.158.86.96', '0', '登录成功', '2024-01-15 19:42:50');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-17 11:57:45');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-22 11:45:10');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-22 12:00:50');
INSERT INTO `sys_logininfor` VALUES (117, 'dongzeliang', '10.1.20.79', '0', '登录成功', '2024-02-22 16:06:21');
INSERT INTO `sys_logininfor` VALUES (118, 'dongzeliang', '10.1.20.79', '0', '退出成功', '2024-02-22 17:03:01');
INSERT INTO `sys_logininfor` VALUES (119, 'dongzeliang', '10.1.20.79', '0', '登录成功', '2024-02-22 17:03:11');
INSERT INTO `sys_logininfor` VALUES (120, 'dongzeliang', '10.1.20.79', '0', '退出成功', '2024-02-22 17:14:16');
INSERT INTO `sys_logininfor` VALUES (121, 'dongzeliang', '10.1.20.79', '0', '登录成功', '2024-02-22 17:14:21');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '10.1.20.35', '0', '登录成功', '2024-02-22 21:09:37');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-26 16:23:05');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-27 10:46:43');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-28 14:31:18');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '150.158.86.96', '0', '登录成功', '2024-02-29 15:17:38');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-01 10:36:24');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-04 11:33:54');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-05 09:02:12');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-06 14:10:35');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-07 09:36:53');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 11:19:12');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:29:02');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:29:04');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:29:05');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:29:07');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:29:29');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:30:35');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:30:38');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 14:30:42');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 14:30:52');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '150.158.86.96', '1', '密码输入错误4次', '2024-03-08 14:30:59');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:35:56');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:36:01');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 14:36:15');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 14:36:21');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:36:36');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:36:50');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 14:37:03');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 14:37:10');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:37:11');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:37:15');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:37:17');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:37:20');
INSERT INTO `sys_logininfor` VALUES (155, 'zhangsan', '150.158.86.96', '1', '登录用户不存在', '2024-03-08 14:37:22');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 14:37:22');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 14:37:25');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:37:27');
INSERT INTO `sys_logininfor` VALUES (159, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:37:36');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:37:57');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:38:37');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:38:39');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:38:47');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:39:12');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:39:23');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 14:39:28');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:39:34');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 14:39:40');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 14:39:43');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '150.158.86.96', '1', '密码输入错误4次', '2024-03-08 14:39:50');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '150.158.86.96', '1', '密码输入错误5次', '2024-03-08 14:39:53');
INSERT INTO `sys_logininfor` VALUES (172, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:10');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:12');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:15');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:18');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:28');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:40:47');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:50');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:50');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:40:58');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:00');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:03');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:11');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:15');
INSERT INTO `sys_logininfor` VALUES (185, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:25');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:41:32');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:42:10');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:42:10');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:42:30');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:17');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:28');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:33');
INSERT INTO `sys_logininfor` VALUES (193, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:36');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:40');
INSERT INTO `sys_logininfor` VALUES (195, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:42');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:43:43');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 14:44:12');
INSERT INTO `sys_logininfor` VALUES (198, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:44:12');
INSERT INTO `sys_logininfor` VALUES (199, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:44:25');
INSERT INTO `sys_logininfor` VALUES (200, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:44:30');
INSERT INTO `sys_logininfor` VALUES (201, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:44:46');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 14:45:30');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 14:55:40');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 15:06:22');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 15:56:09');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 15:56:14');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 15:59:14');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 15:59:22');
INSERT INTO `sys_logininfor` VALUES (209, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-08 15:59:26');
INSERT INTO `sys_logininfor` VALUES (210, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-08 15:59:29');
INSERT INTO `sys_logininfor` VALUES (211, 'admin', '150.158.86.96', '1', '密码输入错误4次', '2024-03-08 15:59:38');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '150.158.86.96', '1', '密码输入错误5次', '2024-03-08 15:59:44');
INSERT INTO `sys_logininfor` VALUES (213, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 15:59:48');
INSERT INTO `sys_logininfor` VALUES (214, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 15:59:55');
INSERT INTO `sys_logininfor` VALUES (215, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 15:59:58');
INSERT INTO `sys_logininfor` VALUES (216, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:02');
INSERT INTO `sys_logininfor` VALUES (217, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:05');
INSERT INTO `sys_logininfor` VALUES (218, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:08');
INSERT INTO `sys_logininfor` VALUES (219, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:10');
INSERT INTO `sys_logininfor` VALUES (220, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:00:16');
INSERT INTO `sys_logininfor` VALUES (221, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:18');
INSERT INTO `sys_logininfor` VALUES (222, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:26');
INSERT INTO `sys_logininfor` VALUES (223, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:00:27');
INSERT INTO `sys_logininfor` VALUES (224, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:28');
INSERT INTO `sys_logininfor` VALUES (225, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:30');
INSERT INTO `sys_logininfor` VALUES (226, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:31');
INSERT INTO `sys_logininfor` VALUES (227, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:32');
INSERT INTO `sys_logininfor` VALUES (228, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:36');
INSERT INTO `sys_logininfor` VALUES (229, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:36');
INSERT INTO `sys_logininfor` VALUES (230, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:00:37');
INSERT INTO `sys_logininfor` VALUES (231, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:00:38');
INSERT INTO `sys_logininfor` VALUES (232, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:40');
INSERT INTO `sys_logininfor` VALUES (233, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:40');
INSERT INTO `sys_logininfor` VALUES (234, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:00:41');
INSERT INTO `sys_logininfor` VALUES (235, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:45');
INSERT INTO `sys_logininfor` VALUES (236, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:46');
INSERT INTO `sys_logininfor` VALUES (237, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:46');
INSERT INTO `sys_logininfor` VALUES (238, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:49');
INSERT INTO `sys_logininfor` VALUES (239, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:49');
INSERT INTO `sys_logininfor` VALUES (240, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:49');
INSERT INTO `sys_logininfor` VALUES (241, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:00:57');
INSERT INTO `sys_logininfor` VALUES (242, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:02');
INSERT INTO `sys_logininfor` VALUES (243, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:02');
INSERT INTO `sys_logininfor` VALUES (244, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:10');
INSERT INTO `sys_logininfor` VALUES (245, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:13');
INSERT INTO `sys_logininfor` VALUES (246, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:14');
INSERT INTO `sys_logininfor` VALUES (247, 'admin', '10.1.20.17', '0', '退出成功', '2024-03-08 16:01:21');
INSERT INTO `sys_logininfor` VALUES (248, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:36');
INSERT INTO `sys_logininfor` VALUES (249, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:52');
INSERT INTO `sys_logininfor` VALUES (250, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:01:55');
INSERT INTO `sys_logininfor` VALUES (251, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:02:04');
INSERT INTO `sys_logininfor` VALUES (252, 'admin', '10.1.20.17', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:02:12');
INSERT INTO `sys_logininfor` VALUES (253, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:02:30');
INSERT INTO `sys_logininfor` VALUES (254, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-08 16:02:30');
INSERT INTO `sys_logininfor` VALUES (255, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:40');
INSERT INTO `sys_logininfor` VALUES (256, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:41');
INSERT INTO `sys_logininfor` VALUES (257, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:43');
INSERT INTO `sys_logininfor` VALUES (258, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:44');
INSERT INTO `sys_logininfor` VALUES (259, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:44');
INSERT INTO `sys_logininfor` VALUES (260, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:45');
INSERT INTO `sys_logininfor` VALUES (261, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:46');
INSERT INTO `sys_logininfor` VALUES (262, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:46');
INSERT INTO `sys_logininfor` VALUES (263, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:47');
INSERT INTO `sys_logininfor` VALUES (264, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:49');
INSERT INTO `sys_logininfor` VALUES (265, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:51');
INSERT INTO `sys_logininfor` VALUES (266, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:51');
INSERT INTO `sys_logininfor` VALUES (267, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:02:53');
INSERT INTO `sys_logininfor` VALUES (268, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:02:57');
INSERT INTO `sys_logininfor` VALUES (269, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 16:02:58');
INSERT INTO `sys_logininfor` VALUES (270, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:03:04');
INSERT INTO `sys_logininfor` VALUES (271, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:03:04');
INSERT INTO `sys_logininfor` VALUES (272, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:03:08');
INSERT INTO `sys_logininfor` VALUES (273, 'admin', '10.1.20.9', '1', '密码输入错误1次', '2024-03-08 16:03:20');
INSERT INTO `sys_logininfor` VALUES (274, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:03:25');
INSERT INTO `sys_logininfor` VALUES (275, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:03:32');
INSERT INTO `sys_logininfor` VALUES (276, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:03:48');
INSERT INTO `sys_logininfor` VALUES (277, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:03:56');
INSERT INTO `sys_logininfor` VALUES (278, 'admin', '10.1.20.9', '0', '登录成功', '2024-03-08 16:04:06');
INSERT INTO `sys_logininfor` VALUES (279, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:05:37');
INSERT INTO `sys_logininfor` VALUES (280, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:05:41');
INSERT INTO `sys_logininfor` VALUES (281, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:05:47');
INSERT INTO `sys_logininfor` VALUES (282, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:06:15');
INSERT INTO `sys_logininfor` VALUES (283, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:06:19');
INSERT INTO `sys_logininfor` VALUES (284, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:07:31');
INSERT INTO `sys_logininfor` VALUES (285, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:07:37');
INSERT INTO `sys_logininfor` VALUES (286, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:08:03');
INSERT INTO `sys_logininfor` VALUES (287, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:08:50');
INSERT INTO `sys_logininfor` VALUES (288, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:08:57');
INSERT INTO `sys_logininfor` VALUES (289, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:10:00');
INSERT INTO `sys_logininfor` VALUES (290, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:10:53');
INSERT INTO `sys_logininfor` VALUES (291, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:36:31');
INSERT INTO `sys_logininfor` VALUES (292, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:36:33');
INSERT INTO `sys_logininfor` VALUES (293, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:46:52');
INSERT INTO `sys_logininfor` VALUES (294, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:46:55');
INSERT INTO `sys_logininfor` VALUES (295, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:47:20');
INSERT INTO `sys_logininfor` VALUES (296, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 16:48:09');
INSERT INTO `sys_logininfor` VALUES (297, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:48:18');
INSERT INTO `sys_logininfor` VALUES (298, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 16:50:55');
INSERT INTO `sys_logininfor` VALUES (299, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:50:59');
INSERT INTO `sys_logininfor` VALUES (300, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:59:10');
INSERT INTO `sys_logininfor` VALUES (301, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 16:59:40');
INSERT INTO `sys_logininfor` VALUES (302, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 17:00:29');
INSERT INTO `sys_logininfor` VALUES (303, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 17:06:15');
INSERT INTO `sys_logininfor` VALUES (304, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 17:06:18');
INSERT INTO `sys_logininfor` VALUES (305, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 17:07:11');
INSERT INTO `sys_logininfor` VALUES (306, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 17:07:15');
INSERT INTO `sys_logininfor` VALUES (307, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 17:07:23');
INSERT INTO `sys_logininfor` VALUES (308, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 17:07:29');
INSERT INTO `sys_logininfor` VALUES (309, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 18:19:54');
INSERT INTO `sys_logininfor` VALUES (310, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 18:19:56');
INSERT INTO `sys_logininfor` VALUES (311, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 18:27:37');
INSERT INTO `sys_logininfor` VALUES (312, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 19:10:20');
INSERT INTO `sys_logininfor` VALUES (313, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:10:23');
INSERT INTO `sys_logininfor` VALUES (314, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 19:37:25');
INSERT INTO `sys_logininfor` VALUES (315, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:37:29');
INSERT INTO `sys_logininfor` VALUES (316, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:56:28');
INSERT INTO `sys_logininfor` VALUES (317, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:58:00');
INSERT INTO `sys_logininfor` VALUES (318, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:58:20');
INSERT INTO `sys_logininfor` VALUES (319, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 19:59:47');
INSERT INTO `sys_logininfor` VALUES (320, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 20:35:52');
INSERT INTO `sys_logininfor` VALUES (321, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 20:44:06');
INSERT INTO `sys_logininfor` VALUES (322, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 20:44:09');
INSERT INTO `sys_logininfor` VALUES (323, 'admin', '10.1.20.17', '0', '退出成功', '2024-03-08 20:49:40');
INSERT INTO `sys_logininfor` VALUES (324, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 20:49:42');
INSERT INTO `sys_logininfor` VALUES (325, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 20:56:29');
INSERT INTO `sys_logininfor` VALUES (326, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 20:56:33');
INSERT INTO `sys_logininfor` VALUES (327, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 20:57:08');
INSERT INTO `sys_logininfor` VALUES (328, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 20:57:11');
INSERT INTO `sys_logininfor` VALUES (329, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 20:58:38');
INSERT INTO `sys_logininfor` VALUES (330, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 20:58:51');
INSERT INTO `sys_logininfor` VALUES (331, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:11:42');
INSERT INTO `sys_logininfor` VALUES (332, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:12:39');
INSERT INTO `sys_logininfor` VALUES (333, 'admin', '10.1.20.17', '0', '退出成功', '2024-03-08 21:12:41');
INSERT INTO `sys_logininfor` VALUES (334, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:12:43');
INSERT INTO `sys_logininfor` VALUES (335, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 21:12:49');
INSERT INTO `sys_logininfor` VALUES (336, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:13:56');
INSERT INTO `sys_logininfor` VALUES (337, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:14:06');
INSERT INTO `sys_logininfor` VALUES (338, 'admin', '10.1.20.17', '0', '退出成功', '2024-03-08 21:19:46');
INSERT INTO `sys_logininfor` VALUES (339, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 21:19:50');
INSERT INTO `sys_logininfor` VALUES (340, 'admin', '10.1.20.17', '0', '退出成功', '2024-03-08 21:20:12');
INSERT INTO `sys_logininfor` VALUES (341, 'admin', '10.1.20.17', '0', '登录成功', '2024-03-08 21:20:19');
INSERT INTO `sys_logininfor` VALUES (342, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:25:24');
INSERT INTO `sys_logininfor` VALUES (343, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:26:56');
INSERT INTO `sys_logininfor` VALUES (344, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:27:01');
INSERT INTO `sys_logininfor` VALUES (345, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:27:26');
INSERT INTO `sys_logininfor` VALUES (346, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:27:28');
INSERT INTO `sys_logininfor` VALUES (347, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:28:00');
INSERT INTO `sys_logininfor` VALUES (348, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:28:04');
INSERT INTO `sys_logininfor` VALUES (349, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:28:44');
INSERT INTO `sys_logininfor` VALUES (350, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:28:52');
INSERT INTO `sys_logininfor` VALUES (351, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:29:23');
INSERT INTO `sys_logininfor` VALUES (352, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:29:50');
INSERT INTO `sys_logininfor` VALUES (353, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:30:14');
INSERT INTO `sys_logininfor` VALUES (354, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:30:19');
INSERT INTO `sys_logininfor` VALUES (355, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:30:42');
INSERT INTO `sys_logininfor` VALUES (356, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:30:47');
INSERT INTO `sys_logininfor` VALUES (357, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-08 21:54:16');
INSERT INTO `sys_logininfor` VALUES (358, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-08 21:54:21');
INSERT INTO `sys_logininfor` VALUES (359, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-08 21:54:29');
INSERT INTO `sys_logininfor` VALUES (360, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 08:51:43');
INSERT INTO `sys_logininfor` VALUES (361, 'admin', '150.158.86.96', '1', '密码输入错误1次', '2024-03-09 09:12:02');
INSERT INTO `sys_logininfor` VALUES (362, 'admin', '150.158.86.96', '1', '密码输入错误2次', '2024-03-09 09:12:09');
INSERT INTO `sys_logininfor` VALUES (363, 'admin', '150.158.86.96', '1', '密码输入错误3次', '2024-03-09 09:12:13');
INSERT INTO `sys_logininfor` VALUES (364, 'admin', '150.158.86.96', '1', '密码输入错误4次', '2024-03-09 09:12:18');
INSERT INTO `sys_logininfor` VALUES (365, 'admin', '150.158.86.96', '1', '密码输入错误5次', '2024-03-09 09:12:30');
INSERT INTO `sys_logininfor` VALUES (366, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-09 09:12:37');
INSERT INTO `sys_logininfor` VALUES (367, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-09 09:12:51');
INSERT INTO `sys_logininfor` VALUES (368, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-09 09:12:59');
INSERT INTO `sys_logininfor` VALUES (369, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-09 09:13:01');
INSERT INTO `sys_logininfor` VALUES (370, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-09 09:13:01');
INSERT INTO `sys_logininfor` VALUES (371, 'admin', '150.158.86.96', '1', '密码输入错误5次，帐户锁定10分钟', '2024-03-09 09:13:02');
INSERT INTO `sys_logininfor` VALUES (372, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:26');
INSERT INTO `sys_logininfor` VALUES (373, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:30');
INSERT INTO `sys_logininfor` VALUES (374, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:32');
INSERT INTO `sys_logininfor` VALUES (375, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:34');
INSERT INTO `sys_logininfor` VALUES (376, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:38');
INSERT INTO `sys_logininfor` VALUES (377, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:13:54');
INSERT INTO `sys_logininfor` VALUES (378, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:05');
INSERT INTO `sys_logininfor` VALUES (379, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:14');
INSERT INTO `sys_logininfor` VALUES (380, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:22');
INSERT INTO `sys_logininfor` VALUES (381, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:25');
INSERT INTO `sys_logininfor` VALUES (382, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:34');
INSERT INTO `sys_logininfor` VALUES (383, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:14:48');
INSERT INTO `sys_logininfor` VALUES (384, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:15:02');
INSERT INTO `sys_logininfor` VALUES (385, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:23:09');
INSERT INTO `sys_logininfor` VALUES (386, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-09 09:27:03');
INSERT INTO `sys_logininfor` VALUES (387, 'admin', '10.1.20.7', '0', '登录成功', '2024-03-09 09:27:58');
INSERT INTO `sys_logininfor` VALUES (388, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:32:28');
INSERT INTO `sys_logininfor` VALUES (389, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:34:41');
INSERT INTO `sys_logininfor` VALUES (390, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-09 09:45:21');
INSERT INTO `sys_logininfor` VALUES (391, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-09 09:45:24');
INSERT INTO `sys_logininfor` VALUES (392, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 11:25:43');
INSERT INTO `sys_logininfor` VALUES (393, 'admin', '10.1.123.97', '0', '登录成功', '2024-03-21 11:51:52');
INSERT INTO `sys_logininfor` VALUES (394, 'admin', '10.1.123.62', '0', '登录成功', '2024-03-21 11:52:18');
INSERT INTO `sys_logininfor` VALUES (395, 'admin', '10.1.123.64', '0', '登录成功', '2024-03-21 11:52:23');
INSERT INTO `sys_logininfor` VALUES (396, 'admin', '10.1.123.115', '0', '登录成功', '2024-03-21 11:52:34');
INSERT INTO `sys_logininfor` VALUES (397, 'admin', '10.1.123.109', '0', '登录成功', '2024-03-21 11:52:59');
INSERT INTO `sys_logininfor` VALUES (398, 'admin', '10.1.123.8', '0', '登录成功', '2024-03-21 11:53:09');
INSERT INTO `sys_logininfor` VALUES (399, 'admin', '10.1.123.124', '0', '登录成功', '2024-03-21 11:53:21');
INSERT INTO `sys_logininfor` VALUES (400, 'admin', '10.1.123.83', '0', '登录成功', '2024-03-21 11:53:22');
INSERT INTO `sys_logininfor` VALUES (401, 'admin', '10.1.123.12', '0', '登录成功', '2024-03-21 11:53:31');
INSERT INTO `sys_logininfor` VALUES (402, 'admin', '10.1.123.81', '0', '登录成功', '2024-03-21 11:53:36');
INSERT INTO `sys_logininfor` VALUES (403, 'admin', '10.1.123.39', '0', '登录成功', '2024-03-21 11:53:43');
INSERT INTO `sys_logininfor` VALUES (404, 'admin', '10.1.123.41', '0', '登录成功', '2024-03-21 11:53:45');
INSERT INTO `sys_logininfor` VALUES (405, 'admin', '10.1.123.31', '0', '登录成功', '2024-03-21 11:53:51');
INSERT INTO `sys_logininfor` VALUES (406, 'admin', '10.1.123.125', '0', '登录成功', '2024-03-21 11:53:59');
INSERT INTO `sys_logininfor` VALUES (407, 'admin', '10.1.123.111', '0', '登录成功', '2024-03-21 11:54:39');
INSERT INTO `sys_logininfor` VALUES (408, 'admin', '10.1.123.116', '0', '登录成功', '2024-03-21 11:54:58');
INSERT INTO `sys_logininfor` VALUES (409, 'admin', '10.1.123.73', '0', '登录成功', '2024-03-21 11:55:18');
INSERT INTO `sys_logininfor` VALUES (410, 'admin', '10.1.123.126', '0', '登录成功', '2024-03-21 11:55:28');
INSERT INTO `sys_logininfor` VALUES (411, 'admin', '10.1.123.123', '0', '登录成功', '2024-03-21 11:55:49');
INSERT INTO `sys_logininfor` VALUES (412, 'admin', '10.1.123.84', '0', '登录成功', '2024-03-21 11:56:02');
INSERT INTO `sys_logininfor` VALUES (413, 'admin', '10.1.123.117', '0', '登录成功', '2024-03-21 11:56:09');
INSERT INTO `sys_logininfor` VALUES (414, 'admin', '10.1.123.17', '0', '登录成功', '2024-03-21 11:56:20');
INSERT INTO `sys_logininfor` VALUES (415, 'admin', '10.1.123.29', '0', '登录成功', '2024-03-21 11:56:36');
INSERT INTO `sys_logininfor` VALUES (416, 'admin', '10.1.123.84', '0', '登录成功', '2024-03-21 13:41:58');
INSERT INTO `sys_logininfor` VALUES (417, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 14:24:42');
INSERT INTO `sys_logininfor` VALUES (418, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 14:58:42');
INSERT INTO `sys_logininfor` VALUES (419, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-21 14:58:55');
INSERT INTO `sys_logininfor` VALUES (420, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 14:59:06');
INSERT INTO `sys_logininfor` VALUES (421, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 14:59:25');
INSERT INTO `sys_logininfor` VALUES (422, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 14:59:59');
INSERT INTO `sys_logininfor` VALUES (423, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:00:02');
INSERT INTO `sys_logininfor` VALUES (424, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:01:13');
INSERT INTO `sys_logininfor` VALUES (425, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:01:18');
INSERT INTO `sys_logininfor` VALUES (426, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:01:26');
INSERT INTO `sys_logininfor` VALUES (427, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:01:37');
INSERT INTO `sys_logininfor` VALUES (428, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:01:45');
INSERT INTO `sys_logininfor` VALUES (429, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:02:08');
INSERT INTO `sys_logininfor` VALUES (430, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:02:15');
INSERT INTO `sys_logininfor` VALUES (431, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:02:53');
INSERT INTO `sys_logininfor` VALUES (432, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:03:48');
INSERT INTO `sys_logininfor` VALUES (433, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:06:24');
INSERT INTO `sys_logininfor` VALUES (434, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-21 15:06:34');
INSERT INTO `sys_logininfor` VALUES (435, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:08:01');
INSERT INTO `sys_logininfor` VALUES (436, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:08:07');
INSERT INTO `sys_logininfor` VALUES (437, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:08:12');
INSERT INTO `sys_logininfor` VALUES (438, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:08:39');
INSERT INTO `sys_logininfor` VALUES (439, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:10:51');
INSERT INTO `sys_logininfor` VALUES (440, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-21 15:14:02');
INSERT INTO `sys_logininfor` VALUES (441, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-22 10:48:58');
INSERT INTO `sys_logininfor` VALUES (442, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-22 15:00:52');
INSERT INTO `sys_logininfor` VALUES (443, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-22 15:01:17');
INSERT INTO `sys_logininfor` VALUES (444, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-23 10:39:22');
INSERT INTO `sys_logininfor` VALUES (445, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 10:27:42');
INSERT INTO `sys_logininfor` VALUES (446, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:49:55');
INSERT INTO `sys_logininfor` VALUES (447, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:50:03');
INSERT INTO `sys_logininfor` VALUES (448, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:50:04');
INSERT INTO `sys_logininfor` VALUES (449, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:50:09');
INSERT INTO `sys_logininfor` VALUES (450, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:50:18');
INSERT INTO `sys_logininfor` VALUES (451, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:50:33');
INSERT INTO `sys_logininfor` VALUES (452, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:50:37');
INSERT INTO `sys_logininfor` VALUES (453, 'admin', '10.1.123.124', '0', '登录成功', '2024-03-25 11:50:43');
INSERT INTO `sys_logininfor` VALUES (454, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:51:40');
INSERT INTO `sys_logininfor` VALUES (455, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:51:43');
INSERT INTO `sys_logininfor` VALUES (456, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:01');
INSERT INTO `sys_logininfor` VALUES (457, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:52:04');
INSERT INTO `sys_logininfor` VALUES (458, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:04');
INSERT INTO `sys_logininfor` VALUES (459, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:08');
INSERT INTO `sys_logininfor` VALUES (460, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:10');
INSERT INTO `sys_logininfor` VALUES (461, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:15');
INSERT INTO `sys_logininfor` VALUES (462, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:52:46');
INSERT INTO `sys_logininfor` VALUES (463, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:47');
INSERT INTO `sys_logininfor` VALUES (464, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:48');
INSERT INTO `sys_logininfor` VALUES (465, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:52:52');
INSERT INTO `sys_logininfor` VALUES (466, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:54');
INSERT INTO `sys_logininfor` VALUES (467, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:52:55');
INSERT INTO `sys_logininfor` VALUES (468, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:53:00');
INSERT INTO `sys_logininfor` VALUES (469, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:53:12');
INSERT INTO `sys_logininfor` VALUES (470, 'admin', '10.1.123.73', '0', '登录成功', '2024-03-25 11:53:27');
INSERT INTO `sys_logininfor` VALUES (471, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 11:53:56');
INSERT INTO `sys_logininfor` VALUES (472, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:54:00');
INSERT INTO `sys_logininfor` VALUES (473, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:55:21');
INSERT INTO `sys_logininfor` VALUES (474, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 11:55:36');
INSERT INTO `sys_logininfor` VALUES (475, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 12:01:43');
INSERT INTO `sys_logininfor` VALUES (476, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 13:56:23');
INSERT INTO `sys_logininfor` VALUES (477, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 13:56:26');
INSERT INTO `sys_logininfor` VALUES (478, 'admin', '10.1.123.39', '0', '登录成功', '2024-03-25 14:09:08');
INSERT INTO `sys_logininfor` VALUES (479, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:09:50');
INSERT INTO `sys_logininfor` VALUES (480, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:10:52');
INSERT INTO `sys_logininfor` VALUES (481, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 14:11:15');
INSERT INTO `sys_logininfor` VALUES (482, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:11:24');
INSERT INTO `sys_logininfor` VALUES (483, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 14:11:37');
INSERT INTO `sys_logininfor` VALUES (484, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:11:41');
INSERT INTO `sys_logininfor` VALUES (485, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:12:27');
INSERT INTO `sys_logininfor` VALUES (486, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:12:32');
INSERT INTO `sys_logininfor` VALUES (487, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:12:40');
INSERT INTO `sys_logininfor` VALUES (488, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:13:10');
INSERT INTO `sys_logininfor` VALUES (489, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:22:48');
INSERT INTO `sys_logininfor` VALUES (490, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:29:14');
INSERT INTO `sys_logininfor` VALUES (491, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:35:18');
INSERT INTO `sys_logininfor` VALUES (492, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-25 14:46:49');
INSERT INTO `sys_logininfor` VALUES (493, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-25 14:51:59');
INSERT INTO `sys_logininfor` VALUES (494, 'admin', '10.1.123.124', '0', '登录成功', '2024-03-25 15:05:03');
INSERT INTO `sys_logininfor` VALUES (495, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 10:52:25');
INSERT INTO `sys_logininfor` VALUES (496, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 11:05:20');
INSERT INTO `sys_logininfor` VALUES (497, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:16:29');
INSERT INTO `sys_logininfor` VALUES (498, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-26 14:18:26');
INSERT INTO `sys_logininfor` VALUES (499, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:18:36');
INSERT INTO `sys_logininfor` VALUES (500, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:19:44');
INSERT INTO `sys_logininfor` VALUES (501, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-26 14:20:02');
INSERT INTO `sys_logininfor` VALUES (502, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:20:06');
INSERT INTO `sys_logininfor` VALUES (503, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-26 14:20:56');
INSERT INTO `sys_logininfor` VALUES (504, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:21:00');
INSERT INTO `sys_logininfor` VALUES (505, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-26 14:24:23');
INSERT INTO `sys_logininfor` VALUES (506, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:24:33');
INSERT INTO `sys_logininfor` VALUES (507, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:24:34');
INSERT INTO `sys_logininfor` VALUES (508, 'admin', '150.158.86.96', '0', '退出成功', '2024-03-26 14:25:21');
INSERT INTO `sys_logininfor` VALUES (509, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-26 14:53:16');
INSERT INTO `sys_logininfor` VALUES (510, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-27 16:15:17');
INSERT INTO `sys_logininfor` VALUES (511, 'admin', '150.158.86.96', '0', '登录成功', '2024-03-29 11:52:56');
INSERT INTO `sys_logininfor` VALUES (512, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-02 15:28:44');
INSERT INTO `sys_logininfor` VALUES (513, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-07 10:38:27');
INSERT INTO `sys_logininfor` VALUES (514, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-07 14:19:11');
INSERT INTO `sys_logininfor` VALUES (515, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 10:31:33');
INSERT INTO `sys_logininfor` VALUES (516, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-08 14:34:18');
INSERT INTO `sys_logininfor` VALUES (517, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:22');
INSERT INTO `sys_logininfor` VALUES (518, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-08 14:34:24');
INSERT INTO `sys_logininfor` VALUES (519, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:26');
INSERT INTO `sys_logininfor` VALUES (520, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:33');
INSERT INTO `sys_logininfor` VALUES (521, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:35');
INSERT INTO `sys_logininfor` VALUES (522, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:41');
INSERT INTO `sys_logininfor` VALUES (523, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:45');
INSERT INTO `sys_logininfor` VALUES (524, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:34:49');
INSERT INTO `sys_logininfor` VALUES (525, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:35:07');
INSERT INTO `sys_logininfor` VALUES (526, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:35:10');
INSERT INTO `sys_logininfor` VALUES (527, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-08 14:36:01');
INSERT INTO `sys_logininfor` VALUES (528, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:36:04');
INSERT INTO `sys_logininfor` VALUES (529, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:36:23');
INSERT INTO `sys_logininfor` VALUES (530, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:36:24');
INSERT INTO `sys_logininfor` VALUES (531, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:36:33');
INSERT INTO `sys_logininfor` VALUES (532, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:37:33');
INSERT INTO `sys_logininfor` VALUES (533, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:37:36');
INSERT INTO `sys_logininfor` VALUES (534, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 14:55:34');
INSERT INTO `sys_logininfor` VALUES (535, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-08 15:25:24');
INSERT INTO `sys_logininfor` VALUES (536, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-08 19:55:44');
INSERT INTO `sys_logininfor` VALUES (537, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 10:48:57');
INSERT INTO `sys_logininfor` VALUES (538, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-09 16:06:30');
INSERT INTO `sys_logininfor` VALUES (539, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:06:33');
INSERT INTO `sys_logininfor` VALUES (540, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-09 16:07:32');
INSERT INTO `sys_logininfor` VALUES (541, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:07:49');
INSERT INTO `sys_logininfor` VALUES (542, 'admin', '150.158.86.96', '0', '退出成功', '2024-04-09 16:07:50');
INSERT INTO `sys_logininfor` VALUES (543, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:07:54');
INSERT INTO `sys_logininfor` VALUES (544, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:08:23');
INSERT INTO `sys_logininfor` VALUES (545, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:10:01');
INSERT INTO `sys_logininfor` VALUES (546, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:11:46');
INSERT INTO `sys_logininfor` VALUES (547, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:11:55');
INSERT INTO `sys_logininfor` VALUES (548, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-09 16:25:26');
INSERT INTO `sys_logininfor` VALUES (549, 'admin', '150.158.86.96', '0', '登录成功', '2024-04-11 09:40:05');
INSERT INTO `sys_logininfor` VALUES (550, 'admin', '150.158.86.96', '0', '登录成功', '2024-05-15 19:42:09');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1163 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2023-11-12 15:57:49', '', NULL, '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2023-11-12 15:57:49', '', NULL, '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2023-11-12 15:57:49', '', NULL, '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2023-11-12 15:57:49', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2023-11-12 15:57:49', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2023-11-12 15:57:49', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2023-11-12 15:57:49', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2023-11-12 15:57:49', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2023-11-12 15:57:49', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2023-11-12 15:57:49', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2023-11-12 15:57:49', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2023-11-12 15:57:49', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2023-11-12 15:57:49', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2023-11-12 15:57:49', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, 'Sentinel控制台', 2, 3, 'http://localhost:8718', '', '', 0, 0, 'C', '0', '0', 'monitor:sentinel:list', 'sentinel', 'admin', '2023-11-12 15:57:49', '', NULL, '流量控制菜单');
INSERT INTO `sys_menu` VALUES (112, 'Nacos控制台', 2, 4, 'http://localhost:8848/nacos', '', '', 0, 0, 'C', '0', '0', 'monitor:nacos:list', 'nacos', 'admin', '2023-11-12 15:57:49', '', NULL, '服务治理菜单');
INSERT INTO `sys_menu` VALUES (113, 'Admin控制台', 2, 5, 'http://localhost:9100/login', '', '', 0, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2023-11-12 15:57:49', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (114, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2023-11-12 15:57:49', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (115, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2023-11-12 15:57:49', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (116, '系统接口', 3, 3, 'http://localhost:8080/swagger-ui/index.html', '', '', 0, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2023-11-12 15:57:49', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'system/operlog/index', '', 1, 0, 'C', '0', '0', 'system:operlog:list', 'form', 'admin', '2023-11-12 15:57:49', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'system/logininfor/index', '', 1, 0, 'C', '0', '0', 'system:logininfor:list', 'logininfor', 'admin', '2023-11-12 15:57:49', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:unlock', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 115, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 115, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 115, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 115, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 115, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 115, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1070, '商品管理', 0, 4, '/product', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'code', 'admin', '2024-02-27 11:19:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1101, '属性组管理', 1070, 3, 'attributeGroup', 'product/attributeGroup/index', NULL, 1, 0, 'C', '0', '0', 'product:attributeGroup:list', '#', '1', '2024-02-27 11:32:56', 'admin', '2024-02-27 11:52:01', '属性组菜单');
INSERT INTO `sys_menu` VALUES (1102, '属性组查询', 1101, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attributeGroup:query', '#', '1', '2024-02-27 11:32:56', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1103, '属性组新增', 1101, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attributeGroup:add', '#', '1', '2024-02-27 11:32:56', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1104, '属性组修改', 1101, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attributeGroup:edit', '#', '1', '2024-02-27 11:32:56', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1105, '属性组删除', 1101, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attributeGroup:remove', '#', '1', '2024-02-27 11:32:56', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1106, '属性组导出', 1101, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attributeGroup:export', '#', '1', '2024-02-27 11:32:56', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1107, '品牌信息', 1070, 6, 'brand', 'product/brand/index', NULL, 1, 0, 'C', '0', '0', 'product:brand:list', '#', '1', '2024-02-27 11:33:06', 'admin', '2024-02-27 11:52:32', '品牌信息菜单');
INSERT INTO `sys_menu` VALUES (1108, '品牌信息查询', 1107, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:brand:query', '#', '1', '2024-02-27 11:33:06', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1109, '品牌信息新增', 1107, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:brand:add', '#', '1', '2024-02-27 11:33:06', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1110, '品牌信息修改', 1107, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:brand:edit', '#', '1', '2024-02-27 11:33:06', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1111, '品牌信息删除', 1107, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:brand:remove', '#', '1', '2024-02-27 11:33:06', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1112, '品牌信息导出', 1107, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:brand:export', '#', '1', '2024-02-27 11:33:06', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1119, '商品信息', 1070, 1, 'info', 'product/info/index', NULL, 1, 0, 'C', '0', '0', 'product:info:list', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '商品信息菜单');
INSERT INTO `sys_menu` VALUES (1120, '商品信息查询', 1119, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:info:query', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1121, '商品信息新增', 1119, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:info:add', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1122, '商品信息修改', 1119, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:info:edit', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1123, '商品信息删除', 1119, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:info:remove', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1124, '商品信息导出', 1119, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:info:export', '#', '1', '2024-02-27 11:33:37', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1125, '商品规格', 1070, 4, 'rule', 'product/rule/index', NULL, 1, 0, 'C', '0', '0', 'product:rule:list', '#', '1', '2024-02-27 11:33:53', 'admin', '2024-02-27 11:52:11', '商品规格菜单');
INSERT INTO `sys_menu` VALUES (1126, '商品规格查询', 1125, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:rule:query', '#', '1', '2024-02-27 11:33:53', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1127, '商品规格新增', 1125, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:rule:add', '#', '1', '2024-02-27 11:33:53', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1128, '商品规格修改', 1125, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:rule:edit', '#', '1', '2024-02-27 11:33:53', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1129, '商品规格删除', 1125, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:rule:remove', '#', '1', '2024-02-27 11:33:53', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1130, '商品规格导出', 1125, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:rule:export', '#', '1', '2024-02-27 11:33:53', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1131, '商品评论', 1070, 7, 'comment', 'product/comment/index', NULL, 1, 0, 'C', '0', '0', 'product:comment:list', '#', '1', '2024-02-27 11:34:02', 'admin', '2024-02-27 11:52:37', '商品评论菜单');
INSERT INTO `sys_menu` VALUES (1132, '商品评论查询', 1131, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:comment:query', '#', '1', '2024-02-27 11:34:02', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1133, '商品评论新增', 1131, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:comment:add', '#', '1', '2024-02-27 11:34:02', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1134, '商品评论修改', 1131, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:comment:edit', '#', '1', '2024-02-27 11:34:02', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1135, '商品评论删除', 1131, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:comment:remove', '#', '1', '2024-02-27 11:34:02', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1136, '商品评论导出', 1131, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:comment:export', '#', '1', '2024-02-27 11:34:02', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1137, '品类信息', 1070, 5, 'category', 'product/category/index', NULL, 1, 0, 'C', '0', '0', 'product:category:list', '#', '1', '2024-02-27 11:38:01', 'admin', '2024-02-27 11:52:19', '品类信息菜单');
INSERT INTO `sys_menu` VALUES (1138, '品类信息查询', 1137, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:category:query', '#', '1', '2024-02-27 11:38:01', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1139, '品类信息新增', 1137, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:category:add', '#', '1', '2024-02-27 11:38:01', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1140, '品类信息修改', 1137, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:category:edit', '#', '1', '2024-02-27 11:38:01', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1141, '品类信息删除', 1137, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:category:remove', '#', '1', '2024-02-27 11:38:01', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1142, '品类信息导出', 1137, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:category:export', '#', '1', '2024-02-27 11:38:01', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1143, '商品属性', 1070, 2, 'attribute', 'product/attribute/index', NULL, 1, 0, 'C', '0', '0', 'product:attribute:list', '#', '1', '2024-02-27 11:50:49', 'admin', '2024-02-27 11:51:49', '商品属性菜单');
INSERT INTO `sys_menu` VALUES (1144, '商品属性查询', 1143, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attribute:query', '#', '1', '2024-02-27 11:50:49', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1145, '商品属性新增', 1143, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attribute:add', '#', '1', '2024-02-27 11:50:49', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1146, '商品属性修改', 1143, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attribute:edit', '#', '1', '2024-02-27 11:50:49', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1147, '商品属性删除', 1143, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attribute:remove', '#', '1', '2024-02-27 11:50:49', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1148, '商品属性导出', 1143, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'product:attribute:export', '#', '1', '2024-02-27 11:50:49', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1149, '百度', 0, 1, 'http://localhost/product-detail/:detailId(\\d+)', NULL, NULL, 0, 0, 'M', '0', '0', '', 'button', 'admin', '2024-03-26 14:31:37', 'admin', '2024-03-26 14:33:33', '');
INSERT INTO `sys_menu` VALUES (1150, '购物车管理', 0, 1, '/shop-cart', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'cascader', 'admin', '2024-03-29 11:55:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1151, '购物车', 1150, 1, 'Info', 'shopCart/Info/index', NULL, 1, 0, 'C', '0', '0', 'shopCart:Info:list', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '购物车菜单');
INSERT INTO `sys_menu` VALUES (1152, '购物车查询', 1151, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'shopCart:Info:query', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1153, '购物车新增', 1151, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'shopCart:Info:add', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1154, '购物车修改', 1151, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'shopCart:Info:edit', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1155, '购物车删除', 1151, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'shopCart:Info:remove', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1156, '购物车导出', 1151, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'shopCart:Info:export', '#', '1', '2024-03-29 11:56:52', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1157, '地域地区', 3, 1, 'district', 'system/district/index', NULL, 1, 0, 'C', '0', '0', 'system:district:list', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '地域地区菜单');
INSERT INTO `sys_menu` VALUES (1158, '地域地区查询', 1157, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:district:query', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1159, '地域地区新增', 1157, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:district:add', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1160, '地域地区修改', 1157, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:district:edit', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1161, '地域地区删除', 1157, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:district:remove', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1162, '地域地区导出', 1157, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:district:export', '#', '1', '2024-04-11 14:15:34', NULL, NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '1', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2023-11-12 15:57:50', 'admin', '2024-03-08 20:52:38', '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2023-11-12 15:57:50', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 459 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '用户管理', 2, 'com.muyu.system.controller.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/user', '150.158.86.96', '', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2023-11-12 15:57:49\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,101\",\"children\":[],\"deptId\":105,\"deptName\":\"测试部门\",\"leader\":\"若依\",\"orderNum\":3,\"params\":{},\"parentId\":101,\"status\":\"0\"},\"deptId\":105,\"email\":\"ry@qq.com\",\"loginDate\":\"2023-11-12 15:57:49\",\"loginIp\":\"150.158.86.96\",\"nickName\":\"若依\",\"params\":{},\"phonenumber\":\"15666666666\",\"postIds\":[2],\"remark\":\"测试员\",\"roleIds\":[2],\"roles\":[{\"admin\":false,\"dataScope\":\"2\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\"}],\"sex\":\"1\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":2,\"userName\":\"ry\"}', '{\"code\":200}', 0, NULL, '2023-11-12 16:14:34', 40);
INSERT INTO `sys_oper_log` VALUES (101, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,107,1035,1036,1037,1038],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:05:11', 40);
INSERT INTO `sys_oper_log` VALUES (102, '用户管理', 1, 'com.muyu.system.controller.SysUserController.add()', 'POST', 1, 'admin', NULL, '/user', '150.158.86.96', '', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":100,\"email\":\"dongzl828@outlook.com\",\"nickName\":\"董泽亮\",\"params\":{},\"phonenumber\":\"18201020256\",\"postIds\":[2],\"roleIds\":[2],\"sex\":\"0\",\"status\":\"0\",\"userId\":3,\"userName\":\"dongzeliang\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:05:45', 122);
INSERT INTO `sys_oper_log` VALUES (103, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,107,1035,1036],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:06:45', 11);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"system/book/index\",\"createBy\":\"admin\",\"icon\":\"client\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"书籍管理\",\"menuType\":\"C\",\"orderNum\":10,\"params\":{},\"parentId\":1,\"path\":\"book\",\"perms\":\"system:book:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:09:12', 48);
INSERT INTO `sys_oper_log` VALUES (105, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,107,1035,1036,1061],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:09:42', 36);
INSERT INTO `sys_oper_log` VALUES (106, '字典类型', 1, 'com.muyu.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/dict/type', '150.158.86.96', '', '{\"createBy\":\"admin\",\"dictName\":\"书籍类型\",\"dictType\":\"boot_type\",\"params\":{},\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:20:37', 14);
INSERT INTO `sys_oper_log` VALUES (107, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"小说\",\"dictSort\":0,\"dictType\":\"boot_type\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:21:02', 11);
INSERT INTO `sys_oper_log` VALUES (108, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"文艺\",\"dictSort\":0,\"dictType\":\"boot_type\",\"dictValue\":\"2\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:21:12', 13);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"书籍查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":1061,\"perms\":\"system:book:query\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 16:33:49', 7);
INSERT INTO `sys_oper_log` VALUES (110, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,107,1035,1036,1061,1062],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-22 17:02:10', 37);
INSERT INTO `sys_oper_log` VALUES (111, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"书籍添加\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":1061,\"perms\":\"system:book:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-22 17:10:02', 16);
INSERT INTO `sys_oper_log` VALUES (112, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,107,1035,1036,1061,1062,1063],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-22 17:10:12', 14);
INSERT INTO `sys_oper_log` VALUES (113, '书籍管理', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'dongzeliang', NULL, '/book-info', '10.1.20.79', '', '{\"author\":\"123\",\"content\":\"naowiejofamjawoiefawefjiaoiwefawefoaiwjefajvinaoefaweinvoa\",\"createBy\":\"dongzeliang\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/22/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240222171910A003.png\",\"params\":{},\"remark\":\"advawva\",\"shelTime\":\"2024-02-22 17:19:44\",\"title\":\"123\",\"type\":\"1\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time, create_by,    remark )  VALUES  ( ?, ?, ?, ?, ?, ?, ?,    ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-22 17:21:05', 75);
INSERT INTO `sys_oper_log` VALUES (114, '书籍管理', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'dongzeliang', NULL, '/book-info', '10.1.20.79', '', '{\"author\":\"123\",\"content\":\"naowiejofamjawoiefawefjiaoiwefawefoaiwjefajvinaoefaweinvoa\",\"createBy\":\"dongzeliang\",\"createTime\":\"2024-02-22 17:21:57\",\"id\":2,\"images\":\"http://150.158.86.96:9300/statics/2024/02/22/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240222171910A003.png\",\"params\":{},\"remark\":\"advawva\",\"shelTime\":\"2024-02-22 17:19:44\",\"title\":\"123\",\"type\":\"1\"}', '{\"code\":200}', 0, NULL, '2024-02-22 17:21:57', 11);
INSERT INTO `sys_oper_log` VALUES (115, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"sys_notice\"}', '{\"code\":200}', 0, NULL, '2024-02-26 16:23:28', 79);
INSERT INTO `sys_oper_log` VALUES (116, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"sys_notice\"}', '{\"code\":200}', 0, NULL, '2024-02-26 16:23:42', 28);
INSERT INTO `sys_oper_log` VALUES (117, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/1,2', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 16:25:27', 7);
INSERT INTO `sys_oper_log` VALUES (118, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"sys_config\"}', '{\"code\":200}', 0, NULL, '2024-02-26 16:25:33', 20);
INSERT INTO `sys_oper_log` VALUES (119, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/3', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 16:28:04', 6);
INSERT INTO `sys_oper_log` VALUES (120, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"book_info\"}', '{\"code\":200}', 0, NULL, '2024-02-26 16:28:11', 18);
INSERT INTO `sys_oper_log` VALUES (121, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"book_info\"}', NULL, 0, NULL, '2024-02-26 16:32:59', 82);
INSERT INTO `sys_oper_log` VALUES (122, '角色管理', 2, 'com.muyu.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/role', '150.158.86.96', '', '{\"admin\":false,\"createTime\":\"2023-11-12 15:57:49\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"code\":200}', 0, NULL, '2024-02-26 17:00:52', 59);
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 3, 'com.muyu.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/menu/1063', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:01:10', 12);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 3, 'com.muyu.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/menu/1062', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:01:13', 9);
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 3, 'com.muyu.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/menu/1061', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:01:16', 11);
INSERT INTO `sys_oper_log` VALUES (126, '书籍信息', 3, 'com.muyu.system.controller.BookInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/book/2', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:02:52', 32);
INSERT INTO `sys_oper_log` VALUES (127, '书籍信息', 3, 'com.muyu.system.controller.BookInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/book/1', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:02:53', 8);
INSERT INTO `sys_oper_log` VALUES (128, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:04:20', 59);
INSERT INTO `sys_oper_log` VALUES (129, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:09:12', 74);
INSERT INTO `sys_oper_log` VALUES (130, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:09:33', 5);
INSERT INTO `sys_oper_log` VALUES (131, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:12:20', 78);
INSERT INTO `sys_oper_log` VALUES (132, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:14:00', 38421);
INSERT INTO `sys_oper_log` VALUES (133, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\r\n### The error may exist in com/muyu/system/mapper/BookInfoMapper.java (best guess)\r\n### The error may involve com.muyu.system.mapper.BookInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO book_info  ( title, author, type, images, content, shel_time )  VALUES  ( ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_time\' doesn\'t have a default value\n; Field \'create_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_time\' doesn\'t have a default value', '2024-02-26 17:17:02', 73);
INSERT INTO `sys_oper_log` VALUES (134, '书籍信息', 1, 'com.muyu.system.controller.BookInfoController.add()', 'POST', 1, 'admin', NULL, '/book', '150.158.86.96', '', '{\"author\":\"张三\",\"content\":\"232341\",\"images\":\"http://150.158.86.96:9300/statics/2024/02/26/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240226170417A004.png\",\"params\":{},\"remark\":\"1231234\",\"shelTime\":\"2024-02-15\",\"title\":\"sajoiejf\",\"type\":\"2\"}', '{\"code\":200}', 0, NULL, '2024-02-26 17:20:59', 38);
INSERT INTO `sys_oper_log` VALUES (135, '书籍信息', 3, 'com.muyu.system.controller.BookInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/book/3', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-26 17:21:09', 21);
INSERT INTO `sys_oper_log` VALUES (136, '书籍信息', 5, 'com.muyu.system.controller.BookInfoController.export()', 'POST', 1, 'admin', NULL, '/book/export', '150.158.86.96', '', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2024-02-26 17:21:11', 805);
INSERT INTO `sys_oper_log` VALUES (137, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/4', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 10:56:10', 53);
INSERT INTO `sys_oper_log` VALUES (138, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"attribute_info,category_info,as_category_attribute_group,comment_like_info,attribute_group,product_attribute_info,project_sku_info,as_brand_project,as_category_attribute,project_info,rule_attr_info,brand_info,rule_info,project_comment_info,as_category_brand\"}', '{\"code\":200}', 0, NULL, '2024-02-27 10:56:46', 212);
INSERT INTO `sys_oper_log` VALUES (139, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/5,6,7,8,9,10,11,12,13,14,15,16,17,18,19', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 10:57:22', 7);
INSERT INTO `sys_oper_log` VALUES (140, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"as_category_attribute\"}', '{\"code\":200}', 0, NULL, '2024-02-27 10:58:29', 13);
INSERT INTO `sys_oper_log` VALUES (141, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/20', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 11:01:19', 56);
INSERT INTO `sys_oper_log` VALUES (142, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"attribute_info,category_info,as_category_brand,attribute_group,brand_info,product_attribute_info,project_info,project_sku_info,as_brand_project,rule_info,as_category_attribute_group,rule_attr_info,comment_like_info,project_comment_info,as_category_attribute\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:01:39', 214);
INSERT INTO `sys_oper_log` VALUES (143, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"code\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"/product\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:19:02', 38);
INSERT INTO `sys_oper_log` VALUES (144, '菜单管理', 3, 'com.muyu.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/menu/4', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 11:19:05', 51);
INSERT INTO `sys_oper_log` VALUES (145, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/30', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 11:24:08', 6);
INSERT INTO `sys_oper_log` VALUES (146, '代码生成', 3, 'com.muyu.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/gen/31', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-27 11:24:18', 7);
INSERT INTO `sys_oper_log` VALUES (147, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"comment_info,as_product_attribute_info\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:24:22', 26);
INSERT INTO `sys_oper_log` VALUES (148, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"as_brand_project,as_category_attribute,as_category_attribute_group,as_category_brand,attribute_group,attribute_info,brand_info,category_info,comment_like_info,project_info,project_sku_info,rule_attr_info,rule_info,as_product_attribute_info,comment_info\"}', NULL, 0, NULL, '2024-02-27 11:27:14', 1404);
INSERT INTO `sys_oper_log` VALUES (149, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"attribute_group,brand_info,category_info,project_info,rule_info,comment_info\"}', NULL, 0, NULL, '2024-02-27 11:35:44', 478);
INSERT INTO `sys_oper_log` VALUES (150, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"attribute_group,brand_info,category_info,project_info,rule_info,comment_info\"}', NULL, 0, NULL, '2024-02-27 11:39:47', 499);
INSERT INTO `sys_oper_log` VALUES (151, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"as_brand_project,as_category_attribute,as_category_attribute_group,as_category_brand,attribute_group,attribute_info,brand_info,category_info,comment_like_info,project_info\"}', NULL, 0, NULL, '2024-02-27 11:40:48', 744);
INSERT INTO `sys_oper_log` VALUES (152, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"as_brand_project,as_category_attribute,as_category_attribute_group,as_category_brand,attribute_group,attribute_info,brand_info,category_info,comment_like_info,project_info,project_sku_info,rule_attr_info,rule_info,as_product_attribute_info,comment_info\"}', NULL, 0, NULL, '2024-02-27 11:41:40', 1131);
INSERT INTO `sys_oper_log` VALUES (153, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"attribute_info\"}', NULL, 0, NULL, '2024-02-27 11:50:16', 77);
INSERT INTO `sys_oper_log` VALUES (154, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/attributeGroup/index\",\"createTime\":\"2024-02-27 11:32:56\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1101,\"menuName\":\"属性组管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":1070,\"path\":\"attributeGroup\",\"perms\":\"product:attributeGroup:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:51:26', 11);
INSERT INTO `sys_oper_log` VALUES (155, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/attribute/index\",\"createTime\":\"2024-02-27 11:50:49\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1143,\"menuName\":\"商品属性\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":1070,\"path\":\"attribute\",\"perms\":\"product:attribute:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:51:49', 6);
INSERT INTO `sys_oper_log` VALUES (156, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/attributeGroup/index\",\"createTime\":\"2024-02-27 11:32:56\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1101,\"menuName\":\"属性组管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":1070,\"path\":\"attributeGroup\",\"perms\":\"product:attributeGroup:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:52:01', 6);
INSERT INTO `sys_oper_log` VALUES (157, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/rule/index\",\"createTime\":\"2024-02-27 11:33:53\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1125,\"menuName\":\"商品规格\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":1070,\"path\":\"rule\",\"perms\":\"product:rule:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:52:11', 6);
INSERT INTO `sys_oper_log` VALUES (158, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/category/index\",\"createTime\":\"2024-02-27 11:38:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1137,\"menuName\":\"品类信息\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":1070,\"path\":\"category\",\"perms\":\"product:category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:52:19', 7);
INSERT INTO `sys_oper_log` VALUES (159, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/brand/index\",\"createTime\":\"2024-02-27 11:33:06\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1107,\"menuName\":\"品牌信息\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":1070,\"path\":\"brand\",\"perms\":\"product:brand:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:52:32', 9);
INSERT INTO `sys_oper_log` VALUES (160, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"component\":\"product/comment/index\",\"createTime\":\"2024-02-27 11:34:02\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1131,\"menuName\":\"商品评论\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":1070,\"path\":\"comment\",\"perms\":\"product:comment:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-02-27 11:52:37', 7);
INSERT INTO `sys_oper_log` VALUES (161, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/BrandInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.BrandInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO brand_info  ( nam, logo, start, introduction )  VALUES  ( ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-02-27 16:06:59', 90);
INSERT INTO `sys_oper_log` VALUES (162, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:10:11', 121);
INSERT INTO `sys_oper_log` VALUES (163, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:10:22', 14);
INSERT INTO `sys_oper_log` VALUES (164, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:10:23\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:10:40', 5);
INSERT INTO `sys_oper_log` VALUES (165, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"remark\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:10:40\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:10:59', 6);
INSERT INTO `sys_oper_log` VALUES (166, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"remark\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:11:00\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:11:18', 11607);
INSERT INTO `sys_oper_log` VALUES (167, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"remark\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:11:00\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:13:11', 138);
INSERT INTO `sys_oper_log` VALUES (168, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:11:00\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:13:27', 5);
INSERT INTO `sys_oper_log` VALUES (169, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:13:27\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:14:33', 18823);
INSERT INTO `sys_oper_log` VALUES (170, '品牌信息', 2, 'com.muyu.product.controller.BrandInfoController.edit()', 'PUT', 1, 'admin', NULL, '/brand/1', '150.158.86.96', '', '1 {\"createBy\":\"admin\",\"createTime\":\"2024-02-27 16:10:12\",\"introduction\":\"小米\",\"logo\":\"http://150.158.86.96:9300/statics/2024/02/27/1709021128851_20240227160548A001.png\",\"nam\":\"小米\",\"params\":{},\"remark\":\"小米\",\"start\":\"Y\",\"updateBy\":\"admin\",\"updateTime\":\"2024-02-27 16:13:27\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:16:27', 122);
INSERT INTO `sys_oper_log` VALUES (171, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"as_attribute_group\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:19:50', 13);
INSERT INTO `sys_oper_log` VALUES (172, '代码生成', 2, 'com.muyu.gen.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/gen/synchDb/attribute_info', '150.158.86.96', '', '{}', NULL, 1, '同步数据失败，原表结构不存在', '2024-02-27 16:34:07', 5);
INSERT INTO `sys_oper_log` VALUES (173, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"CPU\",\"name\":\"CPU\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:46:47', 41);
INSERT INTO `sys_oper_log` VALUES (174, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"Memory\",\"name\":\"内存\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:47:08', 7);
INSERT INTO `sys_oper_log` VALUES (175, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"screen_size\",\"name\":\"屏幕尺寸\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:47:41', 5);
INSERT INTO `sys_oper_log` VALUES (176, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"color\",\"name\":\"颜色\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:47:59', 7);
INSERT INTO `sys_oper_log` VALUES (177, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"material\",\"name\":\"材质\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:48:14', 4);
INSERT INTO `sys_oper_log` VALUES (178, '商品属性', 2, 'com.muyu.product.controller.AttributeInfoController.edit()', 'PUT', 1, 'admin', NULL, '/attribute/2', '150.158.86.96', '', '2 {\"code\":\"memory\",\"name\":\"内存\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:50:34', 11);
INSERT INTO `sys_oper_log` VALUES (179, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"capacity\",\"name\":\"容量\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:51:14', 5);
INSERT INTO `sys_oper_log` VALUES (180, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"the_year_listing\",\"name\":\"上市年份\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:52:37', 7);
INSERT INTO `sys_oper_log` VALUES (181, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"listing_month\",\"name\":\"上市月份\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:52:55', 5);
INSERT INTO `sys_oper_log` VALUES (182, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"date_of_sale\",\"name\":\"销售日期\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:53:25', 5);
INSERT INTO `sys_oper_log` VALUES (183, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"hengith\",\"name\":\"长度\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:53:42', 6);
INSERT INTO `sys_oper_log` VALUES (184, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"width\",\"name\":\"宽度\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:53:51', 6);
INSERT INTO `sys_oper_log` VALUES (185, '商品属性', 2, 'com.muyu.product.controller.AttributeInfoController.edit()', 'PUT', 1, 'admin', NULL, '/attribute/10', '150.158.86.96', '', '10 {\"code\":\"Length\",\"name\":\"长度\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:54:05', 5);
INSERT INTO `sys_oper_log` VALUES (186, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"thickness\",\"name\":\"厚度\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:54:18', 4);
INSERT INTO `sys_oper_log` VALUES (187, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"weight\",\"name\":\"重量\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-02-27 16:54:48', 5);
INSERT INTO `sys_oper_log` VALUES (188, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"name\":\"电池\",\"params\":{},\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-27 16:56:46', 11);
INSERT INTO `sys_oper_log` VALUES (189, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"name\":\"屏幕\",\"params\":{},\"remark\":\"描述屏幕信息\",\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 15:14:31', 13725);
INSERT INTO `sys_oper_log` VALUES (190, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"name\":\"屏幕\",\"params\":{},\"remark\":\"描述屏幕信息\",\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 15:15:11', 11931);
INSERT INTO `sys_oper_log` VALUES (191, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[10,13,12,11],\"name\":\"屏幕\",\"params\":{},\"remark\":\"屏幕测试\",\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 15:15:40', 8255);
INSERT INTO `sys_oper_log` VALUES (192, '属性组', 3, 'com.muyu.product.controller.AttributeGroupController.remove()', 'DELETE', 1, 'admin', NULL, '/attributeGroup/1,2,3,4', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-02-28 15:38:25', 91);
INSERT INTO `sys_oper_log` VALUES (193, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[1,2,4],\"name\":\"测试\",\"params\":{},\"remark\":\"测试\",\"states\":\"Y\"}', NULL, 1, 'com.muyu.product.mapper.AsAttributeGroupMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value', '2024-02-28 15:38:37', 114);
INSERT INTO `sys_oper_log` VALUES (194, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[1,2,4],\"name\":\"测试\",\"params\":{},\"remark\":\"测试\",\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 15:39:25', 12);
INSERT INTO `sys_oper_log` VALUES (195, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/CategoryInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.CategoryInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO category_info  ( name, image, start, introduction )  VALUES  ( ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\n; Field \'parent_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value', '2024-02-28 17:01:35', 93);
INSERT INTO `sys_oper_log` VALUES (196, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/CategoryInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.CategoryInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO category_info  ( name, image, start, introduction )  VALUES  ( ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\n; Field \'parent_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value', '2024-02-28 17:02:08', 6);
INSERT INTO `sys_oper_log` VALUES (197, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/CategoryInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.CategoryInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO category_info  ( name, image, start, introduction )  VALUES  ( ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\n; Field \'parent_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value', '2024-02-28 17:02:29', 9);
INSERT INTO `sys_oper_log` VALUES (198, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/CategoryInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.CategoryInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO category_info  ( name, image, start, introduction )  VALUES  ( ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\n; Field \'parent_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value', '2024-02-28 17:03:18', 19768);
INSERT INTO `sys_oper_log` VALUES (199, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/CategoryInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.CategoryInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO category_info  ( name, image, start, introduction, parent_id )  VALUES  ( ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-02-28 17:03:57', 158);
INSERT INTO `sys_oper_log` VALUES (200, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170131A002.png\",\"introduction\":\"介绍\",\"name\":\"节点1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:09:11', 117);
INSERT INTO `sys_oper_log` VALUES (201, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170926A003.png\",\"introduction\":\"测试\",\"name\":\"节点1-1\",\"params\":{},\"parentId\":1,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:09:31', 6);
INSERT INTO `sys_oper_log` VALUES (202, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170944A004.png\",\"introduction\":\"测试\",\"name\":\"节点1-1-1\",\"params\":{},\"parentId\":2,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:09:47', 6);
INSERT INTO `sys_oper_log` VALUES (203, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228170956A005.png\",\"introduction\":\"\",\"name\":\"节点2\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:09:58', 10);
INSERT INTO `sys_oper_log` VALUES (204, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171012A006.png\",\"introduction\":\"测试\",\"name\":\"节点2-1\",\"params\":{},\"parentId\":4,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:10:14', 9);
INSERT INTO `sys_oper_log` VALUES (205, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171031A007.png\",\"introduction\":\"\",\"name\":\"节点2-1-1\",\"params\":{},\"parentId\":5,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:10:33', 8);
INSERT INTO `sys_oper_log` VALUES (206, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/28/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240228171047A008.png\",\"introduction\":\"测试\",\"name\":\"节点1-1-2\",\"params\":{},\"parentId\":2,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-28 17:10:49', 8);
INSERT INTO `sys_oper_log` VALUES (207, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[],\"name\":\"成都\",\"params\":{},\"remark\":\"123\",\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-29 15:39:22', 44);
INSERT INTO `sys_oper_log` VALUES (208, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/29/1709021128851_20240229161723A001.png\",\"introduction\":\"测试\",\"name\":\"测试\",\"params\":{},\"parentId\":0,\"remark\":\"测试\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-29 16:17:36', 39);
INSERT INTO `sys_oper_log` VALUES (209, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/29/1709021128851_20240229162037A002.png\",\"introduction\":\"\",\"name\":\"测试12123\",\"params\":{},\"parentId\":0,\"remark\":\"测试\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-29 16:21:39', 58220);
INSERT INTO `sys_oper_log` VALUES (210, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6],\"attributeIdList\":[1,2],\"brandIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/29/1709021128851_20240229163332A003.png\",\"name\":\"测试\",\"params\":{},\"parentId\":0,\"remark\":\"22123\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-29 16:33:57', 8838);
INSERT INTO `sys_oper_log` VALUES (211, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6],\"attributeIdList\":[2,10,6,13],\"brandIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/29/1709021128851_20240229165933A004.png\",\"name\":\"阿飞\",\"params\":{},\"parentId\":0,\"remark\":\"彩色\",\"start\":\"Y\"}', NULL, 1, 'com.muyu.product.mapper.AsCategoryAttributeMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value', '2024-02-29 16:59:45', 111);
INSERT INTO `sys_oper_log` VALUES (212, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6],\"attributeIdList\":[2,10,6,13],\"brandIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/02/29/1709021128851_20240229165933A004.png\",\"name\":\"阿飞\",\"params\":{},\"parentId\":0,\"remark\":\"彩色\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-02-29 17:00:34', 46);
INSERT INTO `sys_oper_log` VALUES (213, '品类信息', 3, 'com.muyu.product.controller.CategoryInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/category/9', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-01 11:41:31', 103);
INSERT INTO `sys_oper_log` VALUES (214, '品类信息', 3, 'com.muyu.product.controller.CategoryInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/category/8', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-01 11:41:36', 8);
INSERT INTO `sys_oper_log` VALUES (215, '品类信息', 3, 'com.muyu.product.controller.CategoryInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/category/10', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-01 11:41:39', 9);
INSERT INTO `sys_oper_log` VALUES (216, '品类信息', 3, 'com.muyu.product.controller.CategoryInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/category/11', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-01 11:41:41', 9);
INSERT INTO `sys_oper_log` VALUES (217, '品类信息', 3, 'com.muyu.product.controller.CategoryInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/category/12', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-01 11:41:43', 7);
INSERT INTO `sys_oper_log` VALUES (218, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6],\"attributeIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114154A001.png\",\"name\":\"测试-1\",\"params\":{},\"parentId\":0,\"remark\":\"测试\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-01 11:42:02', 51);
INSERT INTO `sys_oper_log` VALUES (219, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[7],\"attributeIdList\":[2],\"brandIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114209A002.png\",\"name\":\"测试1-1\",\"params\":{},\"parentId\":13,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-01 11:42:22', 32);
INSERT INTO `sys_oper_log` VALUES (220, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6,7],\"attributeIdList\":[1,2],\"brandIdList\":[1],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/03/01/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240301114446A003.png\",\"name\":\"测试1-2\",\"params\":{},\"parentId\":13,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-01 11:44:56', 74);
INSERT INTO `sys_oper_log` VALUES (221, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"测试\",\"params\":{},\"ruleAttrList\":[{\"name\":\"规格1\",\"params\":{},\"valueList\":[\"属性1\",\"属性2\"]},{\"name\":\"规格2\",\"params\":{},\"valueList\":[\"属性3\",\"属性4\"]}]}', '{\"code\":200}', 0, NULL, '2024-03-04 14:57:50', 57);
INSERT INTO `sys_oper_log` VALUES (222, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"测试\",\"params\":{},\"ruleAttrList\":[{\"name\":\"规格1\",\"params\":{},\"valueList\":[\"属性1\",\"属性2\"]},{\"name\":\"规格2\",\"params\":{},\"valueList\":[\"属性3\",\"属性4\"]}]}', '{\"code\":200}', 0, NULL, '2024-03-04 14:59:42', 43838);
INSERT INTO `sys_oper_log` VALUES (223, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"测试\",\"params\":{},\"ruleAttrList\":[{\"name\":\"规格1\",\"params\":{},\"valueList\":[\"属性1\",\"属性2\"]},{\"name\":\"规格2\",\"params\":{},\"valueList\":[\"属性3\",\"属性4\"]}]}', NULL, 1, 'com.muyu.product.mapper.RuleAttrInfoMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'create_by\' doesn\'t have a default value', '2024-03-04 15:04:12', 18399);
INSERT INTO `sys_oper_log` VALUES (224, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"测试\",\"params\":{},\"ruleAttrList\":[{\"name\":\"规格1\",\"params\":{},\"valueList\":[\"属性1\",\"属性2\"]},{\"name\":\"规格2\",\"params\":{},\"valueList\":[\"属性3\",\"属性4\"]}]}', '{\"code\":200}', 0, NULL, '2024-03-04 15:06:15', 150);
INSERT INTO `sys_oper_log` VALUES (225, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"手机\",\"params\":{},\"ruleAttrList\":[{\"name\":\"CPU\",\"params\":{},\"valueList\":[\"骁龙888\",\"骁龙888plus\"]},{\"name\":\"内存\",\"params\":{},\"valueList\":[\"8G\",\"16G\"]},{\"name\":\"储存\",\"params\":{},\"valueList\":[\"128G\",\"512G\"]}]}', '{\"code\":200}', 0, NULL, '2024-03-04 15:15:35', 143);
INSERT INTO `sys_oper_log` VALUES (226, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"params\":{}}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info    VALUES\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1', '2024-03-04 17:08:07', 76);
INSERT INTO `sys_oper_log` VALUES (227, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"logo\":\"http://150.158.86.96:9300/statics/2024/03/05/仓鼠_20240305092606A001.png\",\"nam\":\"华为\",\"params\":{},\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-05 09:26:08', 50);
INSERT INTO `sys_oper_log` VALUES (228, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"logo\":\"http://150.158.86.96:9300/statics/2024/03/05/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240305092615A002.png\",\"nam\":\"苹果\",\"params\":{},\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-05 09:26:18', 5);
INSERT INTO `sys_oper_log` VALUES (229, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"mianType\":\"1\",\"params\":{},\"parentType\":\"2\",\"type\":\"3\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( mian_type, parent_type, type )  VALUES  ( ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-05 14:16:27', 95);
INSERT INTO `sys_oper_log` VALUES (230, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"params\":{}}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info    VALUES\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'\' at line 1', '2024-03-05 14:16:43', 6);
INSERT INTO `sys_oper_log` VALUES (231, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"mianType\":\"1\",\"params\":{},\"parentType\":\"2\",\"type\":\"7\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( mian_type, parent_type, type )  VALUES  ( ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-05 14:16:49', 7);
INSERT INTO `sys_oper_log` VALUES (232, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeIdList\":[2,1,10,9],\"brandIdList\":[1,2],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/03/06/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240306162814A001.png\",\"name\":\"测试1-1-1\",\"params\":{},\"parentId\":14,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-06 16:28:27', 61);
INSERT INTO `sys_oper_log` VALUES (233, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"A\",\"name\":\"测试A\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-03-07 10:53:46', 41);
INSERT INTO `sys_oper_log` VALUES (234, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"B\",\"name\":\"测试B\",\"params\":{}}', '{\"code\":200,\"data\":15}', 0, NULL, '2024-03-07 10:59:05', 115);
INSERT INTO `sys_oper_log` VALUES (235, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"C\",\"name\":\"C\",\"params\":{}}', '{\"code\":200,\"data\":16}', 0, NULL, '2024-03-07 11:18:36', 4);
INSERT INTO `sys_oper_log` VALUES (236, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"C\",\"name\":\"C\",\"params\":{}}', '{\"code\":200,\"data\":17}', 0, NULL, '2024-03-07 11:18:58', 6);
INSERT INTO `sys_oper_log` VALUES (237, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"D\",\"name\":\"D\",\"params\":{}}', '{\"code\":200,\"data\":18}', 0, NULL, '2024-03-07 11:19:15', 4);
INSERT INTO `sys_oper_log` VALUES (238, '商品属性', 3, 'com.muyu.product.controller.AttributeInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/attribute/18,17,16,15,14', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-07 11:20:06', 24);
INSERT INTO `sys_oper_log` VALUES (239, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"A\",\"name\":\"A\",\"params\":{}}', '{\"code\":200,\"data\":19}', 0, NULL, '2024-03-07 11:20:50', 4);
INSERT INTO `sys_oper_log` VALUES (240, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"B\",\"name\":\"B\",\"params\":{}}', '{\"code\":200,\"data\":20}', 0, NULL, '2024-03-07 11:21:37', 5);
INSERT INTO `sys_oper_log` VALUES (241, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"C\",\"name\":\"C\",\"params\":{}}', '{\"code\":200,\"data\":21}', 0, NULL, '2024-03-07 11:22:36', 5);
INSERT INTO `sys_oper_log` VALUES (242, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"D\",\"name\":\"测试D\",\"params\":{}}', '{\"code\":200,\"data\":22}', 0, NULL, '2024-03-07 11:23:27', 4);
INSERT INTO `sys_oper_log` VALUES (364, '操作日志', 3, 'com.muyu.system.controller.SysOperlogController.remove()', 'DELETE', 1, 'admin', NULL, '/operlog/363,352', '10.1.20.17', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:19:22', 4);
INSERT INTO `sys_oper_log` VALUES (365, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/3709848f-b85b-4942-81a9-ac3295e637ac', '10.1.20.17', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:19:45', 2);
INSERT INTO `sys_oper_log` VALUES (366, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/e7968a4d-5fed-46d2-9abd-bd5bec32c8e7', '10.1.20.17', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:19:57', 2);
INSERT INTO `sys_oper_log` VALUES (367, '定时任务', 2, 'com.muyu.job.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/job/run', '10.1.20.17', '', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"code\":200}', 0, NULL, '2024-03-08 21:22:37', 3);
INSERT INTO `sys_oper_log` VALUES (368, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/c9ea8288-db0c-46fe-8408-02a0c982e132', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:27:24', 1);
INSERT INTO `sys_oper_log` VALUES (369, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/0a711a3d-e523-48eb-843d-c044d374259c', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:27:37', 2);
INSERT INTO `sys_oper_log` VALUES (370, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/f7b6e2a1-7a91-4e58-83e1-2578b8463a34', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:27:43', 1);
INSERT INTO `sys_oper_log` VALUES (371, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/fe718c01-08d4-4adc-b577-a63d844a32c0', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:28:20', 1);
INSERT INTO `sys_oper_log` VALUES (372, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/269025ef-a5df-40ef-a08e-fca01c7f2656', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:29:14', 2);
INSERT INTO `sys_oper_log` VALUES (373, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/abe185d9-a2b1-4dea-926f-1be2134756f1', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:30:07', 2);
INSERT INTO `sys_oper_log` VALUES (374, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/dfde62da-9272-434f-9d7b-66babed59126', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:30:36', 1);
INSERT INTO `sys_oper_log` VALUES (375, '个人信息', 2, 'com.muyu.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', NULL, '/user/profile/updatePwd', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:31:01', 367);
INSERT INTO `sys_oper_log` VALUES (376, '在线用户', 7, 'com.muyu.system.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/online/7577cb5f-da9b-4f43-9050-d9781c6ca700', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-08 21:31:13', 1);
INSERT INTO `sys_oper_log` VALUES (377, '属性组', 2, 'com.muyu.product.controller.AttributeGroupController.edit()', 'PUT', 1, 'admin', NULL, '/attributeGroup/6', '150.158.86.96', '', '6 {\"name\":\"测试\",\"params\":{},\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-08 21:31:45', 5);
INSERT INTO `sys_oper_log` VALUES (378, '个人信息', 2, 'com.muyu.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', NULL, '/user/profile/updatePwd', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-09 09:12:55', 378);
INSERT INTO `sys_oper_log` VALUES (379, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091721A021.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091718A020.png\",\"introduction\":\"这是一个测试\",\"mianType\":\"4\",\"name\":\"测试1\",\"params\":{},\"parentType\":\"5\",\"remark\":\"remark\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"6\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:18:32', 83);
INSERT INTO `sys_oper_log` VALUES (380, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091721A021.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091718A020.png\",\"introduction\":\"这是一个测试\",\"mianType\":\"4\",\"name\":\"测试1\",\"params\":{},\"parentType\":\"5\",\"remark\":\"remark\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"6\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:19:51', 8);
INSERT INTO `sys_oper_log` VALUES (381, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091721A021.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091718A020.png\",\"introduction\":\"这是一个测试\",\"mianType\":\"4\",\"name\":\"测试1\",\"params\":{},\"parentType\":\"5\",\"remark\":\"remark\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"6\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:20:33', 8);
INSERT INTO `sys_oper_log` VALUES (382, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092310A027.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092308A026.png\",\"introduction\":\"测试\",\"mianType\":\"13\",\"name\":\"测测\",\"params\":{},\"parentType\":\"14\",\"remark\":\"测\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"16\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:23:32', 6);
INSERT INTO `sys_oper_log` VALUES (383, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092310A027.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092308A026.png\",\"introduction\":\"测试\",\"mianType\":\"13\",\"name\":\"测测\",\"params\":{},\"parentType\":\"14\",\"remark\":\"测\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"16\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:23:42', 7);
INSERT INTO `sys_oper_log` VALUES (384, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092310A027.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/picture_20240309092308A026.png\",\"introduction\":\"测试\",\"mianType\":\"13\",\"name\":\"测测\",\"params\":{},\"parentType\":\"14\",\"remark\":\"测\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"16\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:24:05', 8);
INSERT INTO `sys_oper_log` VALUES (385, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091721A021.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309091718A020.png\",\"introduction\":\"这是一个测试\",\"mianType\":\"4\",\"name\":\"测试1\",\"params\":{},\"parentType\":\"5\",\"remark\":\"remark\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"6\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:24:07', 9);
INSERT INTO `sys_oper_log` VALUES (386, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/202305310457361_20240309092749A036.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1_20240309092712A035.jpg\",\"mianType\":\"1\",\"name\":\"1\",\"params\":{},\"parentType\":\"2\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"3\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name,  mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:28:58', 8);
INSERT INTO `sys_oper_log` VALUES (387, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309093225A050.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/1c7d479f7afc234db5ee6c132ceb5393_20240309093222A049.png\",\"mianType\":\"1\",\"name\":\"123\",\"params\":{},\"parentType\":\"2\",\"remark\":\"12\",\"ruleId\":5,\"status\":\"Y\",\"type\":\"7\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name,  mian_type, parent_type, type, image, carousel_images, status, rule_id )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:33:22', 5);
INSERT INTO `sys_oper_log` VALUES (388, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"1\",\"name\":\"1\",\"params\":{}}', '{\"code\":200,\"data\":25}', 0, NULL, '2024-03-09 09:34:07', 12);
INSERT INTO `sys_oper_log` VALUES (389, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/09/39132640_1411985479183_20240309093751A058.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/09/39132640_1411985479183_20240309093749A057.jpg\",\"name\":\"1\",\"params\":{},\"remark\":\"11\",\"status\":\"Y\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name,     image, carousel_images, status )  VALUES  ( ?,     ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-09 09:37:55', 4);
INSERT INTO `sys_oper_log` VALUES (390, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"1\",\"name\":\"1\",\"params\":{}}', '{\"code\":200,\"data\":26}', 0, NULL, '2024-03-09 09:39:15', 4);
INSERT INTO `sys_oper_log` VALUES (391, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[1,10,3],\"name\":\"测试1\",\"params\":{},\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-21 11:26:43', 56);
INSERT INTO `sys_oper_log` VALUES (392, '商品规格', 1, 'com.muyu.product.controller.RuleInfoController.add()', 'POST', 1, 'admin', NULL, '/rule', '150.158.86.96', '', '{\"name\":\"测试2\",\"params\":{},\"ruleAttrList\":[{\"name\":\"规格1\",\"params\":{},\"valueList\":[\"属性1\",\"属性2\",\"属性3\"]},{\"name\":\"规格2\",\"params\":{},\"valueList\":[\"属性4\",\"属性5\",\"属性6\"]}]}', '{\"code\":200}', 0, NULL, '2024-03-21 11:27:36', 22);
INSERT INTO `sys_oper_log` VALUES (393, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeIdList\":[1,2,3],\"brandIdList\":[2],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/7GHOYz1SWffN43a77d257b422464c35bc1da44fc6742_20240321112815A001.png\",\"name\":\"测试1-2-1\",\"params\":{},\"parentId\":15,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-21 11:28:17', 22);
INSERT INTO `sys_oper_log` VALUES (394, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"logo\":\"http://150.158.86.96:9300/statics/2024/03/21/1688525436945_20240321112835A002.jpg\",\"nam\":\"小米\",\"params\":{},\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-21 11:28:38', 9);
INSERT INTO `sys_oper_log` VALUES (395, '个人信息', 2, 'com.muyu.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', NULL, '/user/profile/updatePwd', '10.1.123.97', '', '{}', '{\"code\":500,\"msg\":\"新密码不能与旧密码相同\"}', 0, NULL, '2024-03-21 11:52:13', 187);
INSERT INTO `sys_oper_log` VALUES (396, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '10.1.123.81', '', '{\"brandId\":4,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/屏幕截图 2024-03-18 180145_20240321115442A011.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/屏幕截图 2024-03-18 135736_20240321115434A010.png\",\"introduction\":\"1234\",\"mianType\":\"13\",\"name\":\"gbv \",\"params\":{},\"parentType\":\"15\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"18\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 11:55:46', 77);
INSERT INTO `sys_oper_log` VALUES (397, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '10.1.123.81', '', '{\"brandId\":4,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/屏幕截图 2024-03-18 180145_20240321115442A011.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/屏幕截图 2024-03-18 135736_20240321115434A010.png\",\"introduction\":\"1234\",\"mianType\":\"13\",\"name\":\"gbv \",\"params\":{},\"parentType\":\"15\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"18\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 11:55:59', 7);
INSERT INTO `sys_oper_log` VALUES (398, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '10.1.123.125', '', '{\"brandId\":4,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/20230530085025aa_20240321115717A037.png\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/1_20240321115712A034.jpg\",\"mianType\":\"13\",\"name\":\"1\",\"params\":{},\"parentType\":\"15\",\"ruleId\":5,\"status\":\"Y\",\"type\":\"18\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name,  mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 11:58:40', 7);
INSERT INTO `sys_oper_log` VALUES (399, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '10.1.123.116', '', '{\"brandId\":4,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/3_20240321115856A053.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/1_20240321115850A052.png\",\"introduction\":\"1\",\"mianType\":\"1\",\"name\":\"1\",\"params\":{},\"parentType\":\"2\",\"ruleId\":4,\"status\":\"Y\",\"type\":\"3\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 11:59:15', 6);
INSERT INTO `sys_oper_log` VALUES (400, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"阿斯顿飞过\",\"name\":\"撒旦\",\"params\":{}}', '{\"code\":200,\"data\":27}', 0, NULL, '2024-03-21 15:06:48', 32);
INSERT INTO `sys_oper_log` VALUES (401, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/微信图片_20240110145547_20240321150335A014.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/微信图片_20240110145547_20240321150329A012.jpg\",\"introduction\":\"hhh\",\"mianType\":\"13\",\"name\":\"手机\",\"params\":{},\"parentType\":\"15\",\"ruleId\":5,\"status\":\"Y\",\"type\":\"18\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 15:06:52', 49);
INSERT INTO `sys_oper_log` VALUES (402, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"brandId\":2,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/21/微信图片_20240110145547_20240321150335A014.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/21/微信图片_20240110145547_20240321150329A012.jpg\",\"introduction\":\"嘿嘿嘿\",\"mianType\":\"13\",\"name\":\"手机\",\"params\":{},\"parentType\":\"15\",\"ruleId\":5,\"status\":\"Y\",\"type\":\"18\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\r\n### The error may exist in com/muyu/product/mapper/ProjectInfoMapper.java (best guess)\r\n### The error may involve com.muyu.product.mapper.ProjectInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO project_info  ( name, introduction, mian_type, parent_type, type, image, carousel_images, status, rule_id, brand_id )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLException: Field \'create_by\' doesn\'t have a default value\n; Field \'create_by\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'create_by\' doesn\'t have a default value', '2024-03-21 15:07:07', 4);
INSERT INTO `sys_oper_log` VALUES (403, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"C\",\"name\":\"阿萨\",\"params\":{}}', '{\"code\":200,\"data\":28}', 0, NULL, '2024-03-21 15:11:17', 3);
INSERT INTO `sys_oper_log` VALUES (404, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"attrValueList\":[{\"id\":1,\"value\":\"1\"},{\"id\":2,\"value\":\"2\"},{\"id\":4,\"value\":\"3\"},{\"id\":9,\"value\":\"4\"},{\"id\":10,\"value\":\"5\"},{\"id\":3,\"value\":\"6\"},{\"id\":12,\"value\":\"7\"}],\"params\":{},\"productSkuList\":[{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888-8G-128G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888-8G-512G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888-16G-128G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888-16G-512G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888plus-8G-128G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888plus-8G-512G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888plus-16G-128G\",\"stock\":123},{\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144124A032.jpg\",\"price\":123,\"sku\":\"骁龙888plus-16G-512G\",\"stock\":123}]}', NULL, 1, 'Cannot invoke \"com.muyu.product.domain.model.ProjectAddModel.getName()\" because \"projectAddModel\" is null', '2024-03-22 14:41:30', 28);
INSERT INTO `sys_oper_log` VALUES (405, '商品信息', 1, 'com.muyu.product.controller.ProjectInfoController.add()', 'POST', 1, 'admin', NULL, '/info', '150.158.86.96', '', '{\"attrValueList\":[{\"id\":1,\"value\":\"1\"},{\"id\":2,\"value\":\"2\"},{\"id\":4,\"value\":\"3\"},{\"id\":9,\"value\":\"4\"},{\"id\":10,\"value\":\"5\"},{\"id\":3,\"value\":\"6\"},{\"id\":12,\"value\":\"7\"}],\"params\":{},\"productSkuList\":[{\"price\":85.62,\"sku\":\"骁龙888-8G-128G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888-8G-512G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888-16G-128G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888-16G-512G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888plus-8G-128G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888plus-8G-512G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888plus-16G-128G\",\"stock\":236},{\"price\":85.62,\"sku\":\"骁龙888plus-16G-512G\",\"stock\":236}],\"projectAddModel\":{\"brandId\":4,\"carouselImages\":\"http://150.158.86.96:9300/statics/2024/03/22/1688527462686_20240322144244A034.jpg\",\"image\":\"http://150.158.86.96:9300/statics/2024/03/22/1688525436945_20240322144241A033.jpg\",\"introduction\":\"123\",\"mianType\":\"13\",\"name\":\"测试\",\"params\":{},\"parentType\":\"14\",\"ruleId\":5,\"status\":\"Y\",\"type\":\"16\"}}', NULL, 1, 'com.muyu.product.mapper.ProjectSkuInfoMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'image\' doesn\'t have a default value\n; Field \'image\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'image\' doesn\'t have a default value', '2024-03-22 14:44:46', 221);
INSERT INTO `sys_oper_log` VALUES (406, '商品信息', 3, 'com.muyu.product.controller.ProjectInfoController.remove()', 'DELETE', 1, 'admin', NULL, '/info/3', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-03-25 15:04:31', 5);
INSERT INTO `sys_oper_log` VALUES (407, '品牌信息', 1, 'com.muyu.product.controller.BrandInfoController.add()', 'POST', 1, 'admin', NULL, '/brand', '150.158.86.96', '', '{\"introduction\":\"而东风\",\"logo\":\"http://150.158.86.96:9300/statics/2024/03/26/647726DD13E751DA201EE4D5E9D2A280_20240326135516A015.jpg\",\"nam\":\"苹果\",\"params\":{},\"remark\":\"他又何必\",\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-03-26 13:55:46', 37);
INSERT INTO `sys_oper_log` VALUES (408, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"icon\":\"button\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuName\":\"百度\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"www.baidu.com\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":500,\"msg\":\"新增菜单\'百度\'失败，地址必须以http(s)://开头\"}', 0, NULL, '2024-03-26 14:31:28', 13);
INSERT INTO `sys_oper_log` VALUES (409, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"button\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuName\":\"百度\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"http://www.baidu.com\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-03-26 14:31:37', 10);
INSERT INTO `sys_oper_log` VALUES (410, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createTime\":\"2024-03-26 14:31:37\",\"icon\":\"button\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":1149,\"menuName\":\"百度\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"http://localhost/product-detail/2\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-03-26 14:33:11', 13);
INSERT INTO `sys_oper_log` VALUES (411, '菜单管理', 2, 'com.muyu.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createTime\":\"2024-03-26 14:31:37\",\"icon\":\"button\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":1149,\"menuName\":\"百度\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"http://localhost/product-detail/:detailId(\\\\d+)\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-03-26 14:33:33', 6);
INSERT INTO `sys_oper_log` VALUES (412, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"cart_info\"}', '{\"code\":200}', 0, NULL, '2024-03-29 11:53:35', 78);
INSERT INTO `sys_oper_log` VALUES (413, '菜单管理', 1, 'com.muyu.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/menu', '150.158.86.96', '', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"购物车管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/shop-cart\",\"status\":\"0\",\"visible\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-03-29 11:55:43', 21);
INSERT INTO `sys_oper_log` VALUES (414, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"cart_info\"}', NULL, 0, NULL, '2024-03-29 11:56:22', 190);
INSERT INTO `sys_oper_log` VALUES (415, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', NULL, 1, '当前库存不足', '2024-04-02 15:39:50', 61);
INSERT INTO `sys_oper_log` VALUES (416, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', NULL, 1, '当前库存不足', '2024-04-07 10:38:42', 47);
INSERT INTO `sys_oper_log` VALUES (417, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', NULL, 1, '当前库存不足', '2024-04-07 10:42:37', 25255);
INSERT INTO `sys_oper_log` VALUES (418, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', NULL, 1, '当前库存不足', '2024-04-07 10:48:52', 193660);
INSERT INTO `sys_oper_log` VALUES (419, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:22:31', 27747);
INSERT INTO `sys_oper_log` VALUES (420, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":10,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:23:09', 41);
INSERT INTO `sys_oper_log` VALUES (421, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":10,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:23:28', 14);
INSERT INTO `sys_oper_log` VALUES (422, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":10,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', NULL, 1, '当前库存不足', '2024-04-07 11:23:42', 3);
INSERT INTO `sys_oper_log` VALUES (423, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:00', 32);
INSERT INTO `sys_oper_log` VALUES (424, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:02', 28);
INSERT INTO `sys_oper_log` VALUES (425, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:15', 10);
INSERT INTO `sys_oper_log` VALUES (426, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:17', 14);
INSERT INTO `sys_oper_log` VALUES (427, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:34', 22);
INSERT INTO `sys_oper_log` VALUES (428, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888plus-16G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:35', 27);
INSERT INTO `sys_oper_log` VALUES (429, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888plus-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:37', 24);
INSERT INTO `sys_oper_log` VALUES (430, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888plus-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-07 11:26:38', 28);
INSERT INTO `sys_oper_log` VALUES (431, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":2,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-08 14:55:52', 46);
INSERT INTO `sys_oper_log` VALUES (432, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{}}', NULL, 1, '当前库存不足', '2024-04-08 15:35:16', 21);
INSERT INTO `sys_oper_log` VALUES (433, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":4,\"params\":{}}', NULL, 1, '当前库存不足', '2024-04-08 15:35:21', 2);
INSERT INTO `sys_oper_log` VALUES (434, '属性组', 1, 'com.muyu.product.controller.AttributeGroupController.add()', 'POST', 1, 'admin', NULL, '/attributeGroup', '150.158.86.96', '', '{\"attributeIdList\":[1,2,10,9],\"name\":\"2024-4-9\",\"params\":{},\"states\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:22:27', 66);
INSERT INTO `sys_oper_log` VALUES (435, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6,7,8],\"attributeIdList\":[1,2,3,4,5],\"brandIdList\":[2,3],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/04/09/1688527462686_20240409212327A001.jpg\",\"name\":\"二〇二四年四月九日\",\"params\":{},\"parentId\":15,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:23:29', 25);
INSERT INTO `sys_oper_log` VALUES (436, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":5,\"projectSku\":\"骁龙888-8G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:24:47', 339);
INSERT INTO `sys_oper_log` VALUES (437, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":5,\"projectSku\":\"骁龙888-16G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:24:49', 30);
INSERT INTO `sys_oper_log` VALUES (438, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":5,\"projectSku\":\"骁龙888-8G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:24:50', 66);
INSERT INTO `sys_oper_log` VALUES (439, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":5,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-09 21:24:52', 143);
INSERT INTO `sys_oper_log` VALUES (440, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888plus-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-11 09:41:04', 78);
INSERT INTO `sys_oper_log` VALUES (441, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888plus-8G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-11 09:41:06', 81);
INSERT INTO `sys_oper_log` VALUES (442, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-512G\"}', '{\"code\":200}', 0, NULL, '2024-04-11 09:41:08', 20);
INSERT INTO `sys_oper_log` VALUES (443, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-8G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-11 09:41:08', 9);
INSERT INTO `sys_oper_log` VALUES (444, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-04-11 09:41:10', 9);
INSERT INTO `sys_oper_log` VALUES (445, '代码生成', 6, 'com.muyu.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/gen/importTable', '150.158.86.96', '', '{\"tables\":\"sys_district\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:09:28', 71);
INSERT INTO `sys_oper_log` VALUES (446, '字典类型', 1, 'com.muyu.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/dict/type', '150.158.86.96', '', '{\"createBy\":\"admin\",\"dictName\":\"地区地域级别类型\",\"dictType\":\"district_level_type\",\"params\":{},\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:10:52', 19);
INSERT INTO `sys_oper_log` VALUES (447, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"国家\",\"dictSort\":0,\"dictType\":\"district_level_type\",\"dictValue\":\"country\",\"listClass\":\"default\",\"params\":{},\"remark\":\"country:国家\\n\\nprovince:省份（直辖市会在province显示）\\n\\ncity:市（直辖市会在province显示）\\n\\ndistrict:区县\\n\\nstreet:街道\",\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:11:40', 10);
INSERT INTO `sys_oper_log` VALUES (448, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"省份/直辖市\",\"dictSort\":0,\"dictType\":\"district_level_type\",\"dictValue\":\"province\",\"listClass\":\"default\",\"params\":{},\"remark\":\"country:国家\\n\\nprovince:省份（直辖市会在province显示）\\n\\ncity:市（直辖市会在province显示）\\n\\ndistrict:区县\\n\\nstreet:街道\",\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:12:10', 11);
INSERT INTO `sys_oper_log` VALUES (449, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"市/直辖市\",\"dictSort\":0,\"dictType\":\"district_level_type\",\"dictValue\":\"city\",\"listClass\":\"default\",\"params\":{},\"remark\":\"country:国家\\n\\nprovince:省份（直辖市会在province显示）\\n\\ncity:市（直辖市会在province显示）\\n\\ndistrict:区县\\n\\nstreet:街道\",\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:12:45', 9);
INSERT INTO `sys_oper_log` VALUES (450, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"区/县\",\"dictSort\":0,\"dictType\":\"district_level_type\",\"dictValue\":\"district\",\"listClass\":\"default\",\"params\":{},\"remark\":\"country:国家\\n\\nprovince:省份（直辖市会在province显示）\\n\\ncity:市（直辖市会在province显示）\\n\\ndistrict:区县\\n\\nstreet:街道\",\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:13:14', 9);
INSERT INTO `sys_oper_log` VALUES (451, '字典数据', 1, 'com.muyu.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/dict/data', '150.158.86.96', '', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"街道\",\"dictSort\":0,\"dictType\":\"district_level_type\",\"dictValue\":\"street\",\"listClass\":\"default\",\"params\":{},\"remark\":\"country:国家\\n\\nprovince:省份（直辖市会在province显示）\\n\\ncity:市（直辖市会在province显示）\\n\\ndistrict:区县\\n\\nstreet:街道\",\"status\":\"0\"}', '{\"code\":200}', 0, NULL, '2024-04-11 14:13:34', 9);
INSERT INTO `sys_oper_log` VALUES (452, '代码生成', 8, 'com.muyu.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/gen/batchGenCode', '150.158.86.96', '', '{\"tables\":\"sys_district\"}', NULL, 0, NULL, '2024-04-11 14:15:18', 236);
INSERT INTO `sys_oper_log` VALUES (453, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6,7],\"attributeIdList\":[1,2,3],\"brandIdList\":[3,4],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/05/15/1688525436945_20240515194730A001.jpg\",\"name\":\"2024年5月15日-1\",\"params\":{},\"parentId\":0,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-05-15 19:47:42', 96);
INSERT INTO `sys_oper_log` VALUES (454, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6,7,8],\"attributeIdList\":[1,2,3,4],\"brandIdList\":[3,4,5],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/05/15/1688527462686_20240515194817A002.jpg\",\"name\":\"2024年5月15日-1-1\",\"params\":{},\"parentId\":20,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-05-15 19:48:19', 16);
INSERT INTO `sys_oper_log` VALUES (455, '品类信息', 1, 'com.muyu.product.controller.CategoryInfoController.add()', 'POST', 1, 'admin', NULL, '/category', '150.158.86.96', '', '{\"attributeGroupIdList\":[6,7,8,9],\"attributeIdList\":[1,2,3,4,10],\"brandIdList\":[3,4,5,2],\"children\":[],\"image\":\"http://150.158.86.96:9300/statics/2024/05/15/1688527462686_20240515194838A003.jpg\",\"name\":\"2024年5月15日-1-1-1\",\"params\":{},\"parentId\":21,\"start\":\"Y\"}', '{\"code\":200}', 0, NULL, '2024-05-15 19:48:46', 16);
INSERT INTO `sys_oper_log` VALUES (456, '商品属性', 1, 'com.muyu.product.controller.AttributeInfoController.add()', 'POST', 1, 'admin', NULL, '/attribute', '150.158.86.96', '', '{\"code\":\"1\",\"name\":\"2\",\"params\":{}}', '{\"code\":200,\"data\":29}', 0, NULL, '2024-05-15 19:50:04', 8);
INSERT INTO `sys_oper_log` VALUES (457, '购物车', 1, 'com.muyu.shop.cart.controller.CartInfoController.add()', 'POST', 1, 'admin', NULL, '/Info', '150.158.86.96', '', '{\"num\":1,\"params\":{},\"projectId\":3,\"projectSku\":\"骁龙888-16G-128G\"}', '{\"code\":200}', 0, NULL, '2024-05-15 19:51:11', 152);
INSERT INTO `sys_oper_log` VALUES (458, '属性组', 3, 'com.muyu.product.controller.AttributeGroupController.remove()', 'DELETE', 1, 'admin', NULL, '/attributeGroup/7', '150.158.86.96', '', '{}', '{\"code\":200}', 0, NULL, '2024-05-15 20:18:10', 6);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2023-11-12 15:57:49', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2023-11-12 15:57:49', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2023-11-12 15:57:49', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2023-11-12 15:57:49', 'admin', '2024-02-26 17:00:52', '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime(0) NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$bHsikRPZDy166bG01fPg8uRGAegyV3hT7y5tvTt8BBSvsOLXXQWMy', '0', '0', '150.158.86.96', '2023-11-12 15:57:49', 'admin', '2023-11-12 15:57:49', '', NULL, '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '150.158.86.96', '2023-11-12 15:57:49', 'admin', '2023-11-12 15:57:49', 'admin', '2023-11-12 16:14:34', '测试员');
INSERT INTO `sys_user` VALUES (3, 100, 'dongzeliang', '董泽亮', '00', 'dongzl828@outlook.com', '18201020256', '0', '', '$2a$10$nM3fwE2z2Z6jAdvaqeeP0ujVFGvyULfXd2.yRw6Txbg3MNzGUZyeK', '0', '0', '', NULL, 'admin', '2024-02-22 16:05:45', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);
INSERT INTO `sys_user_post` VALUES (3, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (3, 2);

SET FOREIGN_KEY_CHECKS = 1;
